searchData={"content_type":"text/markdown","items":[{"doc":"API calls for all endpoints tagged `Config`.","ref":"DockerEngineAPI.Api.Config.html","title":"DockerEngineAPI.Api.Config","type":"module"},{"doc":"Create a config","ref":"DockerEngineAPI.Api.Config.html#config_create/2","title":"DockerEngineAPI.Api.Config.config_create/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (ConfigCreateRequest):","ref":"DockerEngineAPI.Api.Config.html#config_create/2-parameters","title":"Parameters - DockerEngineAPI.Api.Config.config_create/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.IdResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Config.html#config_create/2-returns","title":"Returns - DockerEngineAPI.Api.Config.config_create/2","type":"function"},{"doc":"Delete a config","ref":"DockerEngineAPI.Api.Config.html#config_delete/3","title":"DockerEngineAPI.Api.Config.config_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the config\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Config.html#config_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Config.config_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Config.html#config_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Config.config_delete/3","type":"function"},{"doc":"Inspect a config","ref":"DockerEngineAPI.Api.Config.html#config_inspect/3","title":"DockerEngineAPI.Api.Config.config_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the config\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Config.html#config_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Config.config_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Config.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Config.html#config_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Config.config_inspect/3","type":"function"},{"doc":"List configs","ref":"DockerEngineAPI.Api.Config.html#config_list/2","title":"DockerEngineAPI.Api.Config.config_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the configs list.  Available filters:  - `id= ` - `label=  or label= =value` - `name= ` - `names= `","ref":"DockerEngineAPI.Api.Config.html#config_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Config.config_list/2","type":"function"},{"doc":"- `{:ok, [%Config{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Config.html#config_list/2-returns","title":"Returns - DockerEngineAPI.Api.Config.config_list/2","type":"function"},{"doc":"Update a Config","ref":"DockerEngineAPI.Api.Config.html#config_update/4","title":"DockerEngineAPI.Api.Config.config_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): The ID or name of the config\n- `version` (integer()): The version number of the config object being updated. This is required to avoid conflicting writes. \n- `opts` (keyword): Optional parameters\n  - `:body` (ConfigSpec): The spec of the config to update. Currently, only the Labels field can be updated. All other fields must remain unchanged from the [ConfigInspect endpoint](#operation/ConfigInspect) response values.","ref":"DockerEngineAPI.Api.Config.html#config_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Config.config_update/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Config.html#config_update/4-returns","title":"Returns - DockerEngineAPI.Api.Config.config_update/4","type":"function"},{"doc":"API calls for all endpoints tagged `Container`.","ref":"DockerEngineAPI.Api.Container.html","title":"DockerEngineAPI.Api.Container","type":"module"},{"doc":"Get an archive of a filesystem resource in a container\nGet a tar archive of a resource in the filesystem of container id.","ref":"DockerEngineAPI.Api.Container.html#container_archive/4","title":"DockerEngineAPI.Api.Container.container_archive/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `path` (String.t): Resource in the container’s filesystem to archive.\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_archive/4-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_archive/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_archive/4-returns","title":"Returns - DockerEngineAPI.Api.Container.container_archive/4","type":"function"},{"doc":"Get information about files in a container\nA response header `X-Docker-Container-Path-Stat` is returned, containing a base64 - encoded JSON object with some filesystem header information about the path.","ref":"DockerEngineAPI.Api.Container.html#container_archive_info/4","title":"DockerEngineAPI.Api.Container.container_archive_info/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `path` (String.t): Resource in the container’s filesystem to archive.\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_archive_info/4-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_archive_info/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_archive_info/4-returns","title":"Returns - DockerEngineAPI.Api.Container.container_archive_info/4","type":"function"},{"doc":"Attach to a container\nAttach to a container to read its output or send it input. You can attach to the same container multiple times and you can reattach to containers that have been detached.  Either the `stream` or `logs` parameter must be `true` for this endpoint to do anything.  See the [documentation for the `docker attach` command](https://docs.docker.com/engine/reference/commandline/attach/) for more details.","ref":"DockerEngineAPI.Api.Container.html#container_attach/3","title":"DockerEngineAPI.Api.Container.container_attach/3","type":"function"},{"doc":"","ref":"DockerEngineAPI.Api.Container.html#container_attach/3-hijacking-this-endpoint-hijacks-the-http-connection-to-transport-stdin-stdout-and-stderr-on-the-same-socket-this-is-the-response-from-the-daemon-for-an-attach-request-http-1-1-200-ok-content-type-application-vnd-docker-raw-stream-stream-after-the-headers-and-two-new-lines-the-tcp-connection-can-now-be-used-for-raw-bidirectional-communication-between-the-client-and-server-to-hint-potential-proxies-about-connection-hijacking-the-docker-client-can-also-optionally-send-connection-upgrade-headers-for-example-the-client-sends-this-request-to-upgrade-the-connection-post-containers-16253994b7c4-attach-stream-1-stdout-1-http-1-1-upgrade-tcp-connection-upgrade-the-docker-daemon-will-respond-with-a-101-upgraded-response-and-will-similarly-follow-with-the-raw-stream-http-1-1-101-upgraded-content-type-application-vnd-docker-raw-stream-connection-upgrade-upgrade-tcp-stream-stream-format-when-the-tty-setting-is-disabled-in-post-containers-create-operation-containercreate-the-http-content-type-header-is-set-to-application-vnd-docker-multiplexed-stream-and-the-stream-over-the-hijacked-connected-is-multiplexed-to-separate-out-stdout-and-stderr-the-stream-consists-of-a-series-of-frames-each-containing-a-header-and-a-payload-the-header-contains-the-information-which-the-stream-writes-stdout-or-stderr-it-also-contains-the-size-of-the-associated-frame-encoded-in-the-last-four-bytes-uint32-it-is-encoded-on-the-first-eight-bytes-like-this-go-header-8-byte-stream_type-0-0-0-size1-size2-size3-size4-stream_type-can-be-0-stdin-is-written-on-stdout-1-stdout-2-stderr-size1-size2-size3-size4-are-the-four-bytes-of-the-uint32-size-encoded-as-big-endian-following-the-header-is-the-payload-which-is-the-specified-number-of-bytes-of-stream_type-the-simplest-way-to-implement-this-protocol-is-the-following-1-read-8-bytes-2-choose-stdout-or-stderr-depending-on-the-first-byte-3-extract-the-frame-size-from-the-last-four-bytes-4-read-the-extracted-size-and-output-it-on-the-correct-output-5-goto-1-stream-format-when-using-a-tty-when-the-tty-setting-is-enabled-in-post-containers-create-operation-containercreate-the-stream-is-not-multiplexed-the-data-exchanged-over-the-hijacked-connection-is-simply-the-raw-data-from-the-process-pty-and-client-s-stdin","title":"Hijacking  This endpoint hijacks the HTTP connection to transport `stdin`, `stdout`, and `stderr` on the same socket.  This is the response from the daemon for an attach request:  ``` HTTP/1.1 200 OK Content-Type: application/vnd.docker.raw-stream  [STREAM] ```  After the headers and two new lines, the TCP connection can now be used for raw, bidirectional communication between the client and server.  To hint potential proxies about connection hijacking, the Docker client can also optionally send connection upgrade headers.  For example, the client sends this request to upgrade the connection:  ``` POST /containers/16253994b7c4/attach?stream=1&stdout=1 HTTP/1.1 Upgrade: tcp Connection: Upgrade ```  The Docker daemon will respond with a `101 UPGRADED` response, and will similarly follow with the raw stream:  ``` HTTP/1.1 101 UPGRADED Content-Type: application/vnd.docker.raw-stream Connection: Upgrade Upgrade: tcp  [STREAM] ```  ### Stream format  When the TTY setting is disabled in [`POST /containers/create`](#operation/ContainerCreate), the HTTP Content-Type header is set to application/vnd.docker.multiplexed-stream and the stream over the hijacked connected is multiplexed to separate out `stdout` and `stderr`. The stream consists of a series of frames, each containing a header and a payload.  The header contains the information which the stream writes (`stdout` or `stderr`). It also contains the size of the associated frame encoded in the last four bytes (`uint32`).  It is encoded on the first eight bytes like this:  ```go header := [8]byte{STREAM_TYPE, 0, 0, 0, SIZE1, SIZE2, SIZE3, SIZE4} ```  `STREAM_TYPE` can be:  - 0: `stdin` (is written on `stdout`) - 1: `stdout` - 2: `stderr`  `SIZE1, SIZE2, SIZE3, SIZE4` are the four bytes of the `uint32` size encoded as big endian.  Following the header is the payload, which is the specified number of bytes of `STREAM_TYPE`.  The simplest way to implement this protocol is the following:  1. Read 8 bytes. 2. Choose `stdout` or `stderr` depending on the first byte. 3. Extract the frame size from the last four bytes. 4. Read the extracted size and output it on the correct output. 5. Goto 1.  ### Stream format when using a TTY  When the TTY setting is enabled in [`POST /containers/create`](#operation/ContainerCreate), the stream is not multiplexed. The data exchanged over the hijacked connection is simply the raw data from the process PTY and client's `stdin`. - DockerEngineAPI.Api.Container.container_attach/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:detachKeys` (String.t): Override the key sequence for detaching a container.Format is a single character `[a-Z]` or `ctrl- ` where ` ` is one of: `a-z`, `@`, `^`, `[`, `,` or `_`. \n  - `:logs` (boolean()): Replay previous logs from the container.  This is useful for attaching to a container that has started and you want to output everything since the container started.  If `stream` is also enabled, once all the previous output has been returned, it will seamlessly transition into streaming current output. \n  - `:stream` (boolean()): Stream attached streams from the time the request was made onwards. \n  - `:stdin` (boolean()): Attach to `stdin`\n  - `:stdout` (boolean()): Attach to `stdout`\n  - `:stderr` (boolean()): Attach to `stderr`","ref":"DockerEngineAPI.Api.Container.html#container_attach/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_attach/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_attach/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_attach/3","type":"function"},{"doc":"Attach to a container via a websocket","ref":"DockerEngineAPI.Api.Container.html#container_attach_websocket/3","title":"DockerEngineAPI.Api.Container.container_attach_websocket/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:detachKeys` (String.t): Override the key sequence for detaching a container.Format is a single character `[a-Z]` or `ctrl- ` where ` ` is one of: `a-z`, `@`, `^`, `[`, `,`, or `_`. \n  - `:logs` (boolean()): Return logs\n  - `:stream` (boolean()): Return stream\n  - `:stdin` (boolean()): Attach to `stdin`\n  - `:stdout` (boolean()): Attach to `stdout`\n  - `:stderr` (boolean()): Attach to `stderr`","ref":"DockerEngineAPI.Api.Container.html#container_attach_websocket/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_attach_websocket/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_attach_websocket/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_attach_websocket/3","type":"function"},{"doc":"Get changes on a container’s filesystem\nReturns which files in a container's filesystem have been added, deleted, or modified. The `Kind` of modification can be one of:  - `0`: Modified (\"C\") - `1`: Added (\"A\") - `2`: Deleted (\"D\")","ref":"DockerEngineAPI.Api.Container.html#container_changes/3","title":"DockerEngineAPI.Api.Container.container_changes/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_changes/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_changes/3","type":"function"},{"doc":"- `{:ok, [%FilesystemChange{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_changes/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_changes/3","type":"function"},{"doc":"Create a container","ref":"DockerEngineAPI.Api.Container.html#container_create/3","title":"DockerEngineAPI.Api.Container.container_create/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `body` (ContainerCreateRequest): Container to create\n- `opts` (keyword): Optional parameters\n  - `:name` (String.t): Assign the specified name to the container. Must match `/?[a-zA-Z0-9][a-zA-Z0-9_.-]+`. \n  - `:platform` (String.t): Platform in the format `os[/arch[/variant]]` used for image lookup.  When specified, the daemon checks if the requested image is present in the local image cache with the given OS and Architecture, and otherwise returns a `404` status.  If the option is not set, the host's native OS and Architecture are used to look up the image in the image cache. However, if no platform is passed and the given image does exist in the local image cache, but its OS or architecture does not match, the container is created with the available image, and a warning is added to the `Warnings` field in the response, for example;      WARNING: The requested image's platform (linux/arm64/v8) does not              match the detected host platform (linux/amd64) and no              specific platform was requested","ref":"DockerEngineAPI.Api.Container.html#container_create/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_create/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_create/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_create/3","type":"function"},{"doc":"Remove a container","ref":"DockerEngineAPI.Api.Container.html#container_delete/3","title":"DockerEngineAPI.Api.Container.container_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:v` (boolean()): Remove anonymous volumes associated with the container.\n  - `:force` (boolean()): If the container is running, kill it before removing it.\n  - `:link` (boolean()): Remove the specified link associated with the container.","ref":"DockerEngineAPI.Api.Container.html#container_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_delete/3","type":"function"},{"doc":"Export a container\nExport the contents of a container as a tarball.","ref":"DockerEngineAPI.Api.Container.html#container_export/3","title":"DockerEngineAPI.Api.Container.container_export/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_export/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_export/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_export/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_export/3","type":"function"},{"doc":"Inspect a container\nReturn low-level information about a container.","ref":"DockerEngineAPI.Api.Container.html#container_inspect/3","title":"DockerEngineAPI.Api.Container.container_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:size` (boolean()): Return the size of container as fields `SizeRw` and `SizeRootFs`","ref":"DockerEngineAPI.Api.Container.html#container_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerInspectResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_inspect/3","type":"function"},{"doc":"Kill a container\nSend a POSIX signal to a container, defaulting to killing to the container.","ref":"DockerEngineAPI.Api.Container.html#container_kill/3","title":"DockerEngineAPI.Api.Container.container_kill/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:signal` (String.t): Signal to send to the container as an integer or string (e.g. `SIGINT`).","ref":"DockerEngineAPI.Api.Container.html#container_kill/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_kill/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_kill/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_kill/3","type":"function"},{"doc":"List containers\nReturns a list of containers. For details on the format, see the [inspect endpoint](#operation/ContainerInspect).  Note that it uses a different, smaller representation of a container than inspecting a single container. For example, the list of linked containers is not propagated .","ref":"DockerEngineAPI.Api.Container.html#container_list/2","title":"DockerEngineAPI.Api.Container.container_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:all` (boolean()): Return all containers. By default, only running containers are shown. \n  - `:limit` (integer()): Return this number of most recently created containers, including non-running ones. \n  - `:size` (boolean()): Return the size of container as fields `SizeRw` and `SizeRootFs`. \n  - `:filters` (String.t): Filters to process on the container list, encoded as JSON (a `map[string][]string`). For example, `{\"status\": [\"paused\"]}` will only return paused containers.  Available filters:  - `ancestor`=(` [: ]`, ` `, or ` `) - `before`=(` ` or ` `) - `expose`=(` [/ ]`|` /[ ]`) - `exited= ` containers with exit code of ` ` - `health`=(`starting`|`healthy`|`unhealthy`|`none`) - `id= ` a container's ID - `isolation=`(`default`|`process`|`hyperv`) (Windows daemon only) - `is-task=`(`true`|`false`) - `label=key` or `label=\"key=value\"` of a container label - `name= ` a container's name - `network`=(` ` or ` `) - `publish`=(` [/ ]`|` /[ ]`) - `since`=(` ` or ` `) - `status=`(`created`|`restarting`|`running`|`removing`|`paused`|`exited`|`dead`) - `volume`=(` ` or ` `)","ref":"DockerEngineAPI.Api.Container.html#container_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_list/2","type":"function"},{"doc":"- `{:ok, [%ContainerSummary{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_list/2-returns","title":"Returns - DockerEngineAPI.Api.Container.container_list/2","type":"function"},{"doc":"Get container logs\nGet `stdout` and `stderr` logs from a container.  Note: This endpoint works only for containers with the `json-file` or `journald` logging driver.","ref":"DockerEngineAPI.Api.Container.html#container_logs/3","title":"DockerEngineAPI.Api.Container.container_logs/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:follow` (boolean()): Keep connection after returning logs.\n  - `:stdout` (boolean()): Return logs from `stdout`\n  - `:stderr` (boolean()): Return logs from `stderr`\n  - `:since` (integer()): Only return logs since this time, as a UNIX timestamp\n  - `:until` (integer()): Only return logs before this time, as a UNIX timestamp\n  - `:timestamps` (boolean()): Add timestamps to every log line\n  - `:tail` (String.t): Only return this number of log lines from the end of the logs. Specify as an integer or `all` to output all log lines.","ref":"DockerEngineAPI.Api.Container.html#container_logs/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_logs/3","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_logs/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_logs/3","type":"function"},{"doc":"Pause a container\nUse the freezer cgroup to suspend all processes in a container.  Traditionally, when suspending a process the `SIGSTOP` signal is used, which is observable by the process being suspended. With the freezer cgroup the process is unaware, and unable to capture, that it is being suspended, and subsequently resumed.","ref":"DockerEngineAPI.Api.Container.html#container_pause/3","title":"DockerEngineAPI.Api.Container.container_pause/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_pause/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_pause/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_pause/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_pause/3","type":"function"},{"doc":"Delete stopped containers","ref":"DockerEngineAPI.Api.Container.html#container_prune/2","title":"DockerEngineAPI.Api.Container.container_prune/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): Filters to process on the prune list, encoded as JSON (a `map[string][]string`).  Available filters: - `until= ` Prune containers created before this timestamp. The ` ` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label= `, `label= = `, `label!= `, or `label!= = `) Prune containers with (or without, in case `label!=...` is used) the specified labels.","ref":"DockerEngineAPI.Api.Container.html#container_prune/2-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_prune/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerPruneResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_prune/2-returns","title":"Returns - DockerEngineAPI.Api.Container.container_prune/2","type":"function"},{"doc":"Rename a container","ref":"DockerEngineAPI.Api.Container.html#container_rename/4","title":"DockerEngineAPI.Api.Container.container_rename/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `name` (String.t): New name for the container\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_rename/4-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_rename/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_rename/4-returns","title":"Returns - DockerEngineAPI.Api.Container.container_rename/4","type":"function"},{"doc":"Resize a container TTY\nResize the TTY for a container.","ref":"DockerEngineAPI.Api.Container.html#container_resize/3","title":"DockerEngineAPI.Api.Container.container_resize/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:h` (integer()): Height of the TTY session in characters\n  - `:w` (integer()): Width of the TTY session in characters","ref":"DockerEngineAPI.Api.Container.html#container_resize/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_resize/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_resize/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_resize/3","type":"function"},{"doc":"Restart a container","ref":"DockerEngineAPI.Api.Container.html#container_restart/3","title":"DockerEngineAPI.Api.Container.container_restart/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:signal` (String.t): Signal to send to the container as an integer or string (e.g. `SIGINT`). \n  - `:t` (integer()): Number of seconds to wait before killing the container","ref":"DockerEngineAPI.Api.Container.html#container_restart/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_restart/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_restart/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_restart/3","type":"function"},{"doc":"Start a container","ref":"DockerEngineAPI.Api.Container.html#container_start/3","title":"DockerEngineAPI.Api.Container.container_start/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:detachKeys` (String.t): Override the key sequence for detaching a container. Format is a single character `[a-Z]` or `ctrl- ` where ` ` is one of: `a-z`, `@`, `^`, `[`, `,` or `_`.","ref":"DockerEngineAPI.Api.Container.html#container_start/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_start/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_start/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_start/3","type":"function"},{"doc":"Get container stats based on resource usage\nThis endpoint returns a live stream of a container’s resource usage statistics.  The `precpu_stats` is the CPU statistic of the *previous* read, and is used to calculate the CPU usage percentage. It is not an exact copy of the `cpu_stats` field.  If either `precpu_stats.online_cpus` or `cpu_stats.online_cpus` is nil then for compatibility with older daemons the length of the corresponding `cpu_usage.percpu_usage` array should be used.  On a cgroup v2 host, the following fields are not set * `blkio_stats`: all fields other than `io_service_bytes_recursive` * `cpu_stats`: `cpu_usage.percpu_usage` * `memory_stats`: `max_usage` and `failcnt` Also, `memory_stats.stats` fields are incompatible with cgroup v1.  To calculate the values shown by the `stats` command of the docker cli tool the following formulas can be used: * used_memory = `memory_stats.usage - memory_stats.stats.cache` * available_memory = `memory_stats.limit` * Memory usage % = `(used_memory / available_memory) * 100.0` * cpu_delta = `cpu_stats.cpu_usage.total_usage - precpu_stats.cpu_usage.total_usage` * system_cpu_delta = `cpu_stats.system_cpu_usage - precpu_stats.system_cpu_usage` * number_cpus = `lenght(cpu_stats.cpu_usage.percpu_usage)` or `cpu_stats.online_cpus` * CPU usage % = `(cpu_delta / system_cpu_delta) * number_cpus * 100.0`","ref":"DockerEngineAPI.Api.Container.html#container_stats/3","title":"DockerEngineAPI.Api.Container.container_stats/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:stream` (boolean()): Stream the output. If false, the stats will be output once and then it will disconnect. \n  - `:\"one-shot\"` (boolean()): Only get a single stat instead of waiting for 2 cycles. Must be used with `stream=false`.","ref":"DockerEngineAPI.Api.Container.html#container_stats/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_stats/3","type":"function"},{"doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_stats/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_stats/3","type":"function"},{"doc":"Stop a container","ref":"DockerEngineAPI.Api.Container.html#container_stop/3","title":"DockerEngineAPI.Api.Container.container_stop/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:signal` (String.t): Signal to send to the container as an integer or string (e.g. `SIGINT`). \n  - `:t` (integer()): Number of seconds to wait before killing the container","ref":"DockerEngineAPI.Api.Container.html#container_stop/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_stop/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_stop/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_stop/3","type":"function"},{"doc":"List processes running inside a container\nOn Unix systems, this is done by running the `ps` command. This endpoint is not supported on Windows.","ref":"DockerEngineAPI.Api.Container.html#container_top/3","title":"DockerEngineAPI.Api.Container.container_top/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:ps_args` (String.t): The arguments to pass to `ps`. For example, `aux`","ref":"DockerEngineAPI.Api.Container.html#container_top/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_top/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerTopResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_top/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_top/3","type":"function"},{"doc":"Unpause a container\nResume a container which has been paused.","ref":"DockerEngineAPI.Api.Container.html#container_unpause/3","title":"DockerEngineAPI.Api.Container.container_unpause/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_unpause/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_unpause/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_unpause/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_unpause/3","type":"function"},{"doc":"Update a container\nChange various configuration options of a container without having to recreate it.","ref":"DockerEngineAPI.Api.Container.html#container_update/4","title":"DockerEngineAPI.Api.Container.container_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `update` (ContainerUpdateRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Container.html#container_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_update/4","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_update/4-returns","title":"Returns - DockerEngineAPI.Api.Container.container_update/4","type":"function"},{"doc":"Wait for a container\nBlock until a container stops, then returns the exit code.","ref":"DockerEngineAPI.Api.Container.html#container_wait/3","title":"DockerEngineAPI.Api.Container.container_wait/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `opts` (keyword): Optional parameters\n  - `:condition` (String.t): Wait until a container state reaches the given condition.  Defaults to `not-running` if omitted or empty.","ref":"DockerEngineAPI.Api.Container.html#container_wait/3-parameters","title":"Parameters - DockerEngineAPI.Api.Container.container_wait/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ContainerWaitResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#container_wait/3-returns","title":"Returns - DockerEngineAPI.Api.Container.container_wait/3","type":"function"},{"doc":"Extract an archive of files or folders to a directory in a container\nUpload a tar archive to be extracted to a path in the filesystem of container id. `path` parameter is asserted to be a directory. If it exists as a file, 400 error will be returned with message \"not a directory\".","ref":"DockerEngineAPI.Api.Container.html#put_container_archive/5","title":"DockerEngineAPI.Api.Container.put_container_archive/5","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the container\n- `path` (String.t): Path to a directory in the container to extract the archive’s contents into. \n- `input_stream` (String.t): The input stream must be a tar archive compressed with one of the following algorithms: `identity` (no compression), `gzip`, `bzip2`, or `xz`. \n- `opts` (keyword): Optional parameters\n  - `:noOverwriteDirNonDir` (String.t): If `1`, `true`, or `True` then it will be an error if unpacking the given content would cause an existing directory to be replaced with a non-directory and vice versa. \n  - `:copyUIDGID` (String.t): If `1`, `true`, then it will copy UID/GID maps to the dest file or dir","ref":"DockerEngineAPI.Api.Container.html#put_container_archive/5-parameters","title":"Parameters - DockerEngineAPI.Api.Container.put_container_archive/5","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Container.html#put_container_archive/5-returns","title":"Returns - DockerEngineAPI.Api.Container.put_container_archive/5","type":"function"},{"doc":"API calls for all endpoints tagged `Distribution`.","ref":"DockerEngineAPI.Api.Distribution.html","title":"DockerEngineAPI.Api.Distribution","type":"module"},{"doc":"Get image information from the registry\nReturn image digest and platform information by contacting the registry.","ref":"DockerEngineAPI.Api.Distribution.html#distribution_inspect/3","title":"DockerEngineAPI.Api.Distribution.distribution_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or id\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Distribution.html#distribution_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Distribution.distribution_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.DistributionInspect.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Distribution.html#distribution_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Distribution.distribution_inspect/3","type":"function"},{"doc":"API calls for all endpoints tagged `Exec`.","ref":"DockerEngineAPI.Api.Exec.html","title":"DockerEngineAPI.Api.Exec","type":"module"},{"doc":"Create an exec instance\nRun a command inside a running container.","ref":"DockerEngineAPI.Api.Exec.html#container_exec/4","title":"DockerEngineAPI.Api.Exec.container_exec/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of container\n- `exec_config` (ExecConfig): Exec configuration\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Exec.html#container_exec/4-parameters","title":"Parameters - DockerEngineAPI.Api.Exec.container_exec/4","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.IdResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Exec.html#container_exec/4-returns","title":"Returns - DockerEngineAPI.Api.Exec.container_exec/4","type":"function"},{"doc":"Inspect an exec instance\nReturn low-level information about an exec instance.","ref":"DockerEngineAPI.Api.Exec.html#exec_inspect/3","title":"DockerEngineAPI.Api.Exec.exec_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Exec instance ID\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Exec.html#exec_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Exec.exec_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ExecInspectResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Exec.html#exec_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Exec.exec_inspect/3","type":"function"},{"doc":"Resize an exec instance\nResize the TTY session used by an exec instance. This endpoint only works if `tty` was specified as part of creating and starting the exec instance.","ref":"DockerEngineAPI.Api.Exec.html#exec_resize/3","title":"DockerEngineAPI.Api.Exec.exec_resize/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Exec instance ID\n- `opts` (keyword): Optional parameters\n  - `:h` (integer()): Height of the TTY session in characters\n  - `:w` (integer()): Width of the TTY session in characters","ref":"DockerEngineAPI.Api.Exec.html#exec_resize/3-parameters","title":"Parameters - DockerEngineAPI.Api.Exec.exec_resize/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Exec.html#exec_resize/3-returns","title":"Returns - DockerEngineAPI.Api.Exec.exec_resize/3","type":"function"},{"doc":"Start an exec instance\nStarts a previously set up exec instance. If detach is true, this endpoint returns immediately after starting the command. Otherwise, it sets up an interactive session with the command.","ref":"DockerEngineAPI.Api.Exec.html#exec_start/3","title":"DockerEngineAPI.Api.Exec.exec_start/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Exec instance ID\n- `opts` (keyword): Optional parameters\n  - `:body` (ExecStartConfig):","ref":"DockerEngineAPI.Api.Exec.html#exec_start/3-parameters","title":"Parameters - DockerEngineAPI.Api.Exec.exec_start/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Exec.html#exec_start/3-returns","title":"Returns - DockerEngineAPI.Api.Exec.exec_start/3","type":"function"},{"doc":"API calls for all endpoints tagged `Image`.","ref":"DockerEngineAPI.Api.Image.html","title":"DockerEngineAPI.Api.Image","type":"module"},{"doc":"Delete builder cache","ref":"DockerEngineAPI.Api.Image.html#build_prune/2","title":"DockerEngineAPI.Api.Image.build_prune/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"keep-storage\"` (integer()): Amount of disk space in bytes to keep for cache\n  - `:all` (boolean()): Remove all types of build cache\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the list of build cache objects.  Available filters:  - `until= ` remove cache older than ` `. The ` ` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon's local time. - `id= ` - `parent= ` - `type= ` - `description= ` - `inuse` - `shared` - `private`","ref":"DockerEngineAPI.Api.Image.html#build_prune/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.build_prune/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.BuildPruneResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#build_prune/2-returns","title":"Returns - DockerEngineAPI.Api.Image.build_prune/2","type":"function"},{"doc":"Build an image\nBuild an image from a tar archive with a `Dockerfile` in it.  The `Dockerfile` specifies how the image is built from the tar archive. It is typically in the archive's root, but can be at a different path or have a different name by specifying the `dockerfile` parameter. [See the `Dockerfile` reference for more information](https://docs.docker.com/engine/reference/builder/).  The Docker daemon performs a preliminary validation of the `Dockerfile` before starting the build, and returns an error if the syntax is incorrect. After that, each instruction is run one-by-one until the ID of the new image is output.  The build is canceled if the client drops the connection by quitting or being killed.","ref":"DockerEngineAPI.Api.Image.html#image_build/2","title":"DockerEngineAPI.Api.Image.image_build/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:dockerfile` (String.t): Path within the build context to the `Dockerfile`. This is ignored if `remote` is specified and points to an external `Dockerfile`.\n  - `:t` (String.t): A name and optional tag to apply to the image in the `name:tag` format. If you omit the tag the default `latest` value is assumed. You can provide several `t` parameters.\n  - `:extrahosts` (String.t): Extra hosts to add to /etc/hosts\n  - `:remote` (String.t): A Git repository URI or HTTP/HTTPS context URI. If the URI points to a single text file, the file’s contents are placed into a file called `Dockerfile` and the image is built from that file. If the URI points to a tarball, the file is downloaded by the daemon and the contents therein used as the context for the build. If the URI points to a tarball and the `dockerfile` parameter is also specified, there must be a file with the corresponding path inside the tarball.\n  - `:q` (boolean()): Suppress verbose build output.\n  - `:nocache` (boolean()): Do not use the cache when building the image.\n  - `:cachefrom` (String.t): JSON array of images used for build cache resolution.\n  - `:pull` (String.t): Attempt to pull the image even if an older image exists locally.\n  - `:rm` (boolean()): Remove intermediate containers after a successful build.\n  - `:forcerm` (boolean()): Always remove intermediate containers, even upon failure.\n  - `:memory` (integer()): Set memory limit for build.\n  - `:memswap` (integer()): Total memory (memory + swap). Set as `-1` to disable swap.\n  - `:cpushares` (integer()): CPU shares (relative weight).\n  - `:cpusetcpus` (String.t): CPUs in which to allow execution (e.g., `0-3`, `0,1`).\n  - `:cpuperiod` (integer()): The length of a CPU period in microseconds.\n  - `:cpuquota` (integer()): Microseconds of CPU time that the container can get in a CPU period.\n  - `:buildargs` (String.t): JSON map of string pairs for build-time variables. Users pass these values at build-time. Docker uses the buildargs as the environment context for commands run via the `Dockerfile` RUN instruction, or for variable expansion in other `Dockerfile` instructions. This is not meant for passing secret values.  For example, the build arg `FOO=bar` would become `{\"FOO\":\"bar\"}` in JSON. This would result in the query parameter `buildargs={\"FOO\":\"bar\"}`. Note that `{\"FOO\":\"bar\"}` should be URI component encoded.  [Read more about the buildargs instruction.](https://docs.docker.com/engine/reference/builder/#arg) \n  - `:shmsize` (integer()): Size of `/dev/shm` in bytes. The size must be greater than 0. If omitted the system uses 64MB.\n  - `:squash` (boolean()): Squash the resulting images layers into a single layer. *(Experimental release only.)*\n  - `:labels` (String.t): Arbitrary key/value labels to set on the image, as a JSON map of string pairs.\n  - `:networkmode` (String.t): Sets the networking mode for the run commands during build. Supported standard values are: `bridge`, `host`, `none`, and `container: `. Any other value is taken as a custom network's name or ID to which this container should connect to. \n  - `:\"Content-type\"` (String.t): \n  - `:\"X-Registry-Config\"` (String.t): This is a base64-encoded JSON object with auth configurations for multiple registries that a build may refer to.  The key is a registry URL, and the value is an auth configuration object, [as described in the authentication section](#section/Authentication). For example:  ``` {   \"docker.example.com\": {     \"username\": \"janedoe\",     \"password\": \"hunter2\"   },   \"https://index.docker.io/v1/\": {     \"username\": \"mobydock\",     \"password\": \"conta1n3rize14\"   } } ```  Only the registry domain name (and port if not the default 443) are required. However, for legacy reasons, the Docker Hub registry must be specified with both a `https://` prefix and a `/v1/` suffix even though Docker will prefer to use the v2 registry API. \n  - `:platform` (String.t): Platform in the format os[/arch[/variant]]\n  - `:target` (String.t): Target build stage\n  - `:outputs` (String.t): BuildKit output configuration\n  - `:body` (String.t): A tar archive compressed with one of the following algorithms: identity (no compression), gzip, bzip2, xz.","ref":"DockerEngineAPI.Api.Image.html#image_build/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_build/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_build/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_build/2","type":"function"},{"doc":"Create a new image from a container","ref":"DockerEngineAPI.Api.Image.html#image_commit/2","title":"DockerEngineAPI.Api.Image.image_commit/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:container` (String.t): The ID or name of the container to commit\n  - `:repo` (String.t): Repository name for the created image\n  - `:tag` (String.t): Tag name for the create image\n  - `:comment` (String.t): Commit message\n  - `:author` (String.t): Author of the image (e.g., `John Hannibal Smith  `)\n  - `:pause` (boolean()): Whether to pause the container before committing\n  - `:changes` (String.t): `Dockerfile` instructions to apply while committing\n  - `:body` (ContainerConfig): The container configuration","ref":"DockerEngineAPI.Api.Image.html#image_commit/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_commit/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.IdResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_commit/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_commit/2","type":"function"},{"doc":"Create an image\nCreate an image by either pulling it from a registry or importing it.","ref":"DockerEngineAPI.Api.Image.html#image_create/2","title":"DockerEngineAPI.Api.Image.image_create/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:fromImage` (String.t): Name of the image to pull. The name may include a tag or digest. This parameter may only be used when pulling an image. The pull is cancelled if the HTTP connection is closed.\n  - `:fromSrc` (String.t): Source to import. The value may be a URL from which the image can be retrieved or `-` to read the image from the request body. This parameter may only be used when importing an image.\n  - `:repo` (String.t): Repository name given to an image when it is imported. The repo may include a tag. This parameter may only be used when importing an image.\n  - `:tag` (String.t): Tag or digest. If empty when pulling an image, this causes all tags for the given image to be pulled.\n  - `:message` (String.t): Set commit message for imported image.\n  - `:\"X-Registry-Auth\"` (String.t): A base64url-encoded auth configuration.  Refer to the [authentication section](#section/Authentication) for details. \n  - `:changes` ([String.t]): Apply `Dockerfile` instructions to the image that is created, for example: `changes=ENV DEBUG=true`. Note that `ENV DEBUG=true` should be URI component encoded.  Supported `Dockerfile` instructions: `CMD`|`ENTRYPOINT`|`ENV`|`EXPOSE`|`ONBUILD`|`USER`|`VOLUME`|`WORKDIR` \n  - `:platform` (String.t): Platform in the format os[/arch[/variant]].  When used in combination with the `fromImage` option, the daemon checks if the given image is present in the local image cache with the given OS and Architecture, and otherwise attempts to pull the image. If the option is not set, the host's native OS and Architecture are used. If the given image does not exist in the local image cache, the daemon attempts to pull the image with the host's native OS and Architecture. If the given image does exists in the local image cache, but its OS or architecture does not match, a warning is produced.  When used with the `fromSrc` option to import an image from an archive, this option sets the platform information for the imported image. If the option is not set, the host's native OS and Architecture are used for the imported image. \n  - `:body` (String.t): Image content if the value `-` has been specified in fromSrc query parameter","ref":"DockerEngineAPI.Api.Image.html#image_create/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_create/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_create/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_create/2","type":"function"},{"doc":"Remove an image\nRemove an image, along with any untagged parent images that were referenced by that image.  Images can't be removed if they have descendant images, are being used by a running container or are being used by a build.","ref":"DockerEngineAPI.Api.Image.html#image_delete/3","title":"DockerEngineAPI.Api.Image.image_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or ID\n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Remove the image even if it is being used by stopped containers or has other tags\n  - `:noprune` (boolean()): Do not delete untagged parent images","ref":"DockerEngineAPI.Api.Image.html#image_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_delete/3","type":"function"},{"doc":"- `{:ok, [%ImageDeleteResponseItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_delete/3","type":"function"},{"doc":"Export an image\nGet a tarball containing all images and metadata for a repository.  If `name` is a specific name and tag (e.g. `ubuntu:latest`), then only that image (and its parents) are returned. If `name` is an image ID, similarly only that image (and its parents) are returned, but with the exclusion of the `repositories` file in the tarball, as there were no image names referenced.","ref":"DockerEngineAPI.Api.Image.html#image_get/3","title":"DockerEngineAPI.Api.Image.image_get/3","type":"function"},{"doc":"","ref":"DockerEngineAPI.Api.Image.html#image_get/3-image-tarball-format-an-image-tarball-contains-one-directory-per-image-layer-named-using-its-long-id-each-containing-these-files-version-currently-1-0-the-file-format-version-json-detailed-layer-information-similar-to-docker-inspect-layer_id-layer-tar-a-tarfile-containing-the-filesystem-changes-in-this-layer-the-layer-tar-file-contains-aufs-style-wh-wh-aufs-files-and-directories-for-storing-attribute-changes-and-deletions-if-the-tarball-defines-a-repository-the-tarball-should-also-include-a-repositories-file-at-the-root-that-contains-a-list-of-repository-and-tag-names-mapped-to-layer-ids-json-hello-world-latest-565a9d68a73f6706862bfe8409a7f659776d4d60a8d096eb4a3cbce6999cc2a1","title":"Image tarball format  An image tarball contains one directory per image layer (named using its long ID), each containing these files:  - `VERSION`: currently `1.0` - the file format version - `json`: detailed layer information, similar to `docker inspect layer_id` - `layer.tar`: A tarfile containing the filesystem changes in this layer  The `layer.tar` file contains `aufs` style `.wh..wh.aufs` files and directories for storing attribute changes and deletions.  If the tarball defines a repository, the tarball should also include a `repositories` file at the root that contains a list of repository and tag names mapped to layer IDs.  ```json {   \"hello-world\": {     \"latest\": \"565a9d68a73f6706862bfe8409a7f659776d4d60a8d096eb4a3cbce6999cc2a1\"   } } ``` - DockerEngineAPI.Api.Image.image_get/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or ID\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Image.html#image_get/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_get/3","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_get/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_get/3","type":"function"},{"doc":"Export several images\nGet a tarball containing all images and metadata for several image repositories.  For each value of the `names` parameter: if it is a specific name and tag (e.g. `ubuntu:latest`), then only that image (and its parents) are returned; if it is an image ID, similarly only that image (and its parents) are returned and there would be no names referenced in the 'repositories' file for this image ID.  For details on the format, see the [export image endpoint](#operation/ImageGet).","ref":"DockerEngineAPI.Api.Image.html#image_get_all/2","title":"DockerEngineAPI.Api.Image.image_get_all/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:names` ([String.t]): Image names to filter by","ref":"DockerEngineAPI.Api.Image.html#image_get_all/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_get_all/2","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_get_all/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_get_all/2","type":"function"},{"doc":"Get the history of an image\nReturn parent layers of an image.","ref":"DockerEngineAPI.Api.Image.html#image_history/3","title":"DockerEngineAPI.Api.Image.image_history/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or ID\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Image.html#image_history/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_history/3","type":"function"},{"doc":"- `{:ok, [%HistoryResponseItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_history/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_history/3","type":"function"},{"doc":"Inspect an image\nReturn low-level information about an image.","ref":"DockerEngineAPI.Api.Image.html#image_inspect/3","title":"DockerEngineAPI.Api.Image.image_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or id\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Image.html#image_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ImageInspect.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_inspect/3","type":"function"},{"doc":"List Images\nReturns a list of images on the server. Note that it uses a different, smaller representation of an image than inspecting a single image.","ref":"DockerEngineAPI.Api.Image.html#image_list/2","title":"DockerEngineAPI.Api.Image.image_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:all` (boolean()): Show all images. Only images from a final layer (no children) are shown by default.\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the images list.  Available filters:  - `before`=(` [: ]`,  ` ` or ` `) - `dangling=true` - `label=key` or `label=\"key=value\"` of an image label - `reference`=(` [: ]`) - `since`=(` [: ]`,  ` ` or ` `) \n  - `:\"shared-size\"` (boolean()): Compute and show shared size as a `SharedSize` field on each image.\n  - `:digests` (boolean()): Show digest information as a `RepoDigests` field on each image.","ref":"DockerEngineAPI.Api.Image.html#image_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_list/2","type":"function"},{"doc":"- `{:ok, [%ImageSummary{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_list/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_list/2","type":"function"},{"doc":"Import images\nLoad a set of images and tags into a repository.  For details on the format, see the [export image endpoint](#operation/ImageGet).","ref":"DockerEngineAPI.Api.Image.html#image_load/2","title":"DockerEngineAPI.Api.Image.image_load/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:quiet` (boolean()): Suppress progress details during load.\n  - `:body` (String.t): Tar archive containing images","ref":"DockerEngineAPI.Api.Image.html#image_load/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_load/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_load/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_load/2","type":"function"},{"doc":"Delete unused images","ref":"DockerEngineAPI.Api.Image.html#image_prune/2","title":"DockerEngineAPI.Api.Image.image_prune/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): Filters to process on the prune list, encoded as JSON (a `map[string][]string`). Available filters:  - `dangling= ` When set to `true` (or `1`), prune only    unused *and* untagged images. When set to `false`    (or `0`), all unused images are pruned. - `until= ` Prune images created before this timestamp. The ` ` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label= `, `label= = `, `label!= `, or `label!= = `) Prune images with (or without, in case `label!=...` is used) the specified labels.","ref":"DockerEngineAPI.Api.Image.html#image_prune/2-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_prune/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ImagePruneResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_prune/2-returns","title":"Returns - DockerEngineAPI.Api.Image.image_prune/2","type":"function"},{"doc":"Push an image\nPush an image to a registry.  If you wish to push an image on to a private registry, that image must already have a tag which references the registry. For example, `registry.example.com/myimage:latest`.  The push is cancelled if the HTTP connection is closed.","ref":"DockerEngineAPI.Api.Image.html#image_push/4","title":"DockerEngineAPI.Api.Image.image_push/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or ID.\n- `x_registry_auth` (String.t): A base64url-encoded auth configuration.  Refer to the [authentication section](#section/Authentication) for details. \n- `opts` (keyword): Optional parameters\n  - `:tag` (String.t): The tag to associate with the image on the registry.","ref":"DockerEngineAPI.Api.Image.html#image_push/4-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_push/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_push/4-returns","title":"Returns - DockerEngineAPI.Api.Image.image_push/4","type":"function"},{"doc":"Search images\nSearch for an image on Docker Hub.","ref":"DockerEngineAPI.Api.Image.html#image_search/3","title":"DockerEngineAPI.Api.Image.image_search/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `term` (String.t): Term to search\n- `opts` (keyword): Optional parameters\n  - `:limit` (integer()): Maximum number of results to return\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the images list. Available filters:  - `is-automated=(true|false)` - `is-official=(true|false)` - `stars= ` Matches images that has at least 'number' stars.","ref":"DockerEngineAPI.Api.Image.html#image_search/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_search/3","type":"function"},{"doc":"- `{:ok, [%ImageSearchResponseItem{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_search/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_search/3","type":"function"},{"doc":"Tag an image\nTag an image so that it becomes part of a repository.","ref":"DockerEngineAPI.Api.Image.html#image_tag/3","title":"DockerEngineAPI.Api.Image.image_tag/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Image name or ID to tag.\n- `opts` (keyword): Optional parameters\n  - `:repo` (String.t): The repository to tag in. For example, `someuser/someimage`.\n  - `:tag` (String.t): The name of the new tag.","ref":"DockerEngineAPI.Api.Image.html#image_tag/3-parameters","title":"Parameters - DockerEngineAPI.Api.Image.image_tag/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Image.html#image_tag/3-returns","title":"Returns - DockerEngineAPI.Api.Image.image_tag/3","type":"function"},{"doc":"API calls for all endpoints tagged `Network`.","ref":"DockerEngineAPI.Api.Network.html","title":"DockerEngineAPI.Api.Network","type":"module"},{"doc":"Connect a container to a network","ref":"DockerEngineAPI.Api.Network.html#network_connect/4","title":"DockerEngineAPI.Api.Network.network_connect/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Network ID or name\n- `container` (NetworkConnectRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Network.html#network_connect/4-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_connect/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_connect/4-returns","title":"Returns - DockerEngineAPI.Api.Network.network_connect/4","type":"function"},{"doc":"Create a network","ref":"DockerEngineAPI.Api.Network.html#network_create/3","title":"DockerEngineAPI.Api.Network.network_create/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `network_config` (NetworkCreateRequest): Network configuration\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Network.html#network_create/3-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_create/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.NetworkCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_create/3-returns","title":"Returns - DockerEngineAPI.Api.Network.network_create/3","type":"function"},{"doc":"Remove a network","ref":"DockerEngineAPI.Api.Network.html#network_delete/3","title":"DockerEngineAPI.Api.Network.network_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Network ID or name\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Network.html#network_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Network.network_delete/3","type":"function"},{"doc":"Disconnect a container from a network","ref":"DockerEngineAPI.Api.Network.html#network_disconnect/4","title":"DockerEngineAPI.Api.Network.network_disconnect/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Network ID or name\n- `container` (NetworkDisconnectRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Network.html#network_disconnect/4-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_disconnect/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_disconnect/4-returns","title":"Returns - DockerEngineAPI.Api.Network.network_disconnect/4","type":"function"},{"doc":"Inspect a network","ref":"DockerEngineAPI.Api.Network.html#network_inspect/3","title":"DockerEngineAPI.Api.Network.network_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): Network ID or name\n- `opts` (keyword): Optional parameters\n  - `:verbose` (boolean()): Detailed inspect output for troubleshooting\n  - `:scope` (String.t): Filter the network by scope (swarm, global, or local)","ref":"DockerEngineAPI.Api.Network.html#network_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Network.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Network.network_inspect/3","type":"function"},{"doc":"List networks\nReturns a list of networks. For details on the format, see the [network inspect endpoint](#operation/NetworkInspect).  Note that it uses a different, smaller representation of a network than inspecting a single network. For example, the list of containers attached to the network is not propagated in API versions 1.28 and up.","ref":"DockerEngineAPI.Api.Network.html#network_list/2","title":"DockerEngineAPI.Api.Network.network_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): JSON encoded value of the filters (a `map[string][]string`) to process on the networks list.  Available filters:  - `dangling= ` When set to `true` (or `1`), returns all    networks that are not in use by a container. When set to `false`    (or `0`), only networks that are in use by one or more    containers are returned. - `driver= ` Matches a network's driver. - `id= ` Matches all or part of a network ID. - `label= ` or `label= = ` of a network label. - `name= ` Matches all or part of a network name. - `scope=[\"swarm\"|\"global\"|\"local\"]` Filters networks by scope (`swarm`, `global`, or `local`). - `type=[\"custom\"|\"builtin\"]` Filters networks by type. The `custom` keyword returns all user-defined networks.","ref":"DockerEngineAPI.Api.Network.html#network_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_list/2","type":"function"},{"doc":"- `{:ok, [%Network{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_list/2-returns","title":"Returns - DockerEngineAPI.Api.Network.network_list/2","type":"function"},{"doc":"Delete unused networks","ref":"DockerEngineAPI.Api.Network.html#network_prune/2","title":"DockerEngineAPI.Api.Network.network_prune/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): Filters to process on the prune list, encoded as JSON (a `map[string][]string`).  Available filters: - `until= ` Prune networks created before this timestamp. The ` ` can be Unix timestamps, date formatted timestamps, or Go duration strings (e.g. `10m`, `1h30m`) computed relative to the daemon machine’s time. - `label` (`label= `, `label= = `, `label!= `, or `label!= = `) Prune networks with (or without, in case `label!=...` is used) the specified labels.","ref":"DockerEngineAPI.Api.Network.html#network_prune/2-parameters","title":"Parameters - DockerEngineAPI.Api.Network.network_prune/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.NetworkPruneResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Network.html#network_prune/2-returns","title":"Returns - DockerEngineAPI.Api.Network.network_prune/2","type":"function"},{"doc":"API calls for all endpoints tagged `Node`.","ref":"DockerEngineAPI.Api.Node.html","title":"DockerEngineAPI.Api.Node","type":"module"},{"doc":"Delete a node","ref":"DockerEngineAPI.Api.Node.html#node_delete/3","title":"DockerEngineAPI.Api.Node.node_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): The ID or name of the node\n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Force remove a node from the swarm","ref":"DockerEngineAPI.Api.Node.html#node_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Node.node_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Node.html#node_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Node.node_delete/3","type":"function"},{"doc":"Inspect a node","ref":"DockerEngineAPI.Api.Node.html#node_inspect/3","title":"DockerEngineAPI.Api.Node.node_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): The ID or name of the node\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Node.html#node_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Node.node_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Node.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Node.html#node_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Node.node_inspect/3","type":"function"},{"doc":"List nodes","ref":"DockerEngineAPI.Api.Node.html#node_list/2","title":"DockerEngineAPI.Api.Node.node_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): Filters to process on the nodes list, encoded as JSON (a `map[string][]string`).  Available filters: - `id= ` - `label= ` - `membership=`(`accepted`|`pending`)` - `name= ` - `node.label= ` - `role=`(`manager`|`worker`)`","ref":"DockerEngineAPI.Api.Node.html#node_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Node.node_list/2","type":"function"},{"doc":"- `{:ok, [%Node{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Node.html#node_list/2-returns","title":"Returns - DockerEngineAPI.Api.Node.node_list/2","type":"function"},{"doc":"Update a node","ref":"DockerEngineAPI.Api.Node.html#node_update/4","title":"DockerEngineAPI.Api.Node.node_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): The ID of the node\n- `version` (integer()): The version number of the node object being updated. This is required to avoid conflicting writes. \n- `opts` (keyword): Optional parameters\n  - `:body` (NodeSpec):","ref":"DockerEngineAPI.Api.Node.html#node_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Node.node_update/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Node.html#node_update/4-returns","title":"Returns - DockerEngineAPI.Api.Node.node_update/4","type":"function"},{"doc":"API calls for all endpoints tagged `Plugin`.","ref":"DockerEngineAPI.Api.Plugin.html","title":"DockerEngineAPI.Api.Plugin","type":"module"},{"doc":"Get plugin privileges","ref":"DockerEngineAPI.Api.Plugin.html#get_plugin_privileges/3","title":"DockerEngineAPI.Api.Plugin.get_plugin_privileges/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `remote` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Plugin.html#get_plugin_privileges/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.get_plugin_privileges/3","type":"function"},{"doc":"- `{:ok, [%PluginPrivilege{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#get_plugin_privileges/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.get_plugin_privileges/3","type":"function"},{"doc":"Create a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_create/3","title":"DockerEngineAPI.Api.Plugin.plugin_create/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:body` (String.t): Path to tar containing plugin rootfs and manifest","ref":"DockerEngineAPI.Api.Plugin.html#plugin_create/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_create/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_create/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_create/3","type":"function"},{"doc":"Remove a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_delete/3","title":"DockerEngineAPI.Api.Plugin.plugin_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Disable the plugin before removing. This may result in issues if the plugin is in use by a container.","ref":"DockerEngineAPI.Api.Plugin.html#plugin_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_delete/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Plugin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_delete/3","type":"function"},{"doc":"Disable a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_disable/3","title":"DockerEngineAPI.Api.Plugin.plugin_disable/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Force disable a plugin even if still in use.","ref":"DockerEngineAPI.Api.Plugin.html#plugin_disable/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_disable/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_disable/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_disable/3","type":"function"},{"doc":"Enable a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_enable/3","title":"DockerEngineAPI.Api.Plugin.plugin_enable/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:timeout` (integer()): Set the HTTP client timeout (in seconds)","ref":"DockerEngineAPI.Api.Plugin.html#plugin_enable/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_enable/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_enable/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_enable/3","type":"function"},{"doc":"Inspect a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_inspect/3","title":"DockerEngineAPI.Api.Plugin.plugin_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Plugin.html#plugin_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Plugin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_inspect/3","type":"function"},{"doc":"List plugins\nReturns information about installed plugins.","ref":"DockerEngineAPI.Api.Plugin.html#plugin_list/2","title":"DockerEngineAPI.Api.Plugin.plugin_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the plugin list.  Available filters:  - `capability= ` - `enable= | `","ref":"DockerEngineAPI.Api.Plugin.html#plugin_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_list/2","type":"function"},{"doc":"- `{:ok, [%Plugin{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_list/2-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_list/2","type":"function"},{"doc":"Install a plugin\nPulls and installs a plugin. After the plugin is installed, it can be enabled using the [`POST /plugins/{name}/enable` endpoint](#operation/PostPluginsEnable).","ref":"DockerEngineAPI.Api.Plugin.html#plugin_pull/3","title":"DockerEngineAPI.Api.Plugin.plugin_pull/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `remote` (String.t): Remote reference for plugin to install.  The `:latest` tag is optional, and is used as the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:name` (String.t): Local name for the pulled plugin.  The `:latest` tag is optional, and is used as the default if omitted. \n  - `:\"X-Registry-Auth\"` (String.t): A base64url-encoded auth configuration to use when pulling a plugin from a registry.  Refer to the [authentication section](#section/Authentication) for details. \n  - `:body` ([DockerEngineAPI.Model.PluginPrivilege.t]):","ref":"DockerEngineAPI.Api.Plugin.html#plugin_pull/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_pull/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_pull/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_pull/3","type":"function"},{"doc":"Push a plugin\nPush a plugin to the registry.","ref":"DockerEngineAPI.Api.Plugin.html#plugin_push/3","title":"DockerEngineAPI.Api.Plugin.plugin_push/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Plugin.html#plugin_push/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_push/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_push/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_push/3","type":"function"},{"doc":"Configure a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_set/3","title":"DockerEngineAPI.Api.Plugin.plugin_set/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:body` ([String.t]):","ref":"DockerEngineAPI.Api.Plugin.html#plugin_set/3-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_set/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_set/3-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_set/3","type":"function"},{"doc":"Upgrade a plugin","ref":"DockerEngineAPI.Api.Plugin.html#plugin_upgrade/4","title":"DockerEngineAPI.Api.Plugin.plugin_upgrade/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name of the plugin. The `:latest` tag is optional, and is the default if omitted. \n- `remote` (String.t): Remote reference to upgrade to.  The `:latest` tag is optional, and is used as the default if omitted. \n- `opts` (keyword): Optional parameters\n  - `:\"X-Registry-Auth\"` (String.t): A base64url-encoded auth configuration to use when pulling a plugin from a registry.  Refer to the [authentication section](#section/Authentication) for details. \n  - `:body` ([DockerEngineAPI.Model.PluginPrivilege.t]):","ref":"DockerEngineAPI.Api.Plugin.html#plugin_upgrade/4-parameters","title":"Parameters - DockerEngineAPI.Api.Plugin.plugin_upgrade/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Plugin.html#plugin_upgrade/4-returns","title":"Returns - DockerEngineAPI.Api.Plugin.plugin_upgrade/4","type":"function"},{"doc":"API calls for all endpoints tagged `Secret`.","ref":"DockerEngineAPI.Api.Secret.html","title":"DockerEngineAPI.Api.Secret","type":"module"},{"doc":"Create a secret","ref":"DockerEngineAPI.Api.Secret.html#secret_create/2","title":"DockerEngineAPI.Api.Secret.secret_create/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (SecretCreateRequest):","ref":"DockerEngineAPI.Api.Secret.html#secret_create/2-parameters","title":"Parameters - DockerEngineAPI.Api.Secret.secret_create/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.IdResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Secret.html#secret_create/2-returns","title":"Returns - DockerEngineAPI.Api.Secret.secret_create/2","type":"function"},{"doc":"Delete a secret","ref":"DockerEngineAPI.Api.Secret.html#secret_delete/3","title":"DockerEngineAPI.Api.Secret.secret_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the secret\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Secret.html#secret_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Secret.secret_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Secret.html#secret_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Secret.secret_delete/3","type":"function"},{"doc":"Inspect a secret","ref":"DockerEngineAPI.Api.Secret.html#secret_inspect/3","title":"DockerEngineAPI.Api.Secret.secret_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the secret\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Secret.html#secret_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Secret.secret_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Secret.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Secret.html#secret_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Secret.secret_inspect/3","type":"function"},{"doc":"List secrets","ref":"DockerEngineAPI.Api.Secret.html#secret_list/2","title":"DockerEngineAPI.Api.Secret.secret_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the secrets list.  Available filters:  - `id= ` - `label=  or label= =value` - `name= ` - `names= `","ref":"DockerEngineAPI.Api.Secret.html#secret_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Secret.secret_list/2","type":"function"},{"doc":"- `{:ok, [%Secret{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Secret.html#secret_list/2-returns","title":"Returns - DockerEngineAPI.Api.Secret.secret_list/2","type":"function"},{"doc":"Update a Secret","ref":"DockerEngineAPI.Api.Secret.html#secret_update/4","title":"DockerEngineAPI.Api.Secret.secret_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): The ID or name of the secret\n- `version` (integer()): The version number of the secret object being updated. This is required to avoid conflicting writes. \n- `opts` (keyword): Optional parameters\n  - `:body` (SecretSpec): The spec of the secret to update. Currently, only the Labels field can be updated. All other fields must remain unchanged from the [SecretInspect endpoint](#operation/SecretInspect) response values.","ref":"DockerEngineAPI.Api.Secret.html#secret_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Secret.secret_update/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Secret.html#secret_update/4-returns","title":"Returns - DockerEngineAPI.Api.Secret.secret_update/4","type":"function"},{"doc":"API calls for all endpoints tagged `Service`.","ref":"DockerEngineAPI.Api.Service.html","title":"DockerEngineAPI.Api.Service","type":"module"},{"doc":"Create a service","ref":"DockerEngineAPI.Api.Service.html#service_create/3","title":"DockerEngineAPI.Api.Service.service_create/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `body` (ServiceCreateRequest): \n- `opts` (keyword): Optional parameters\n  - `:\"X-Registry-Auth\"` (String.t): A base64url-encoded auth configuration for pulling from private registries.  Refer to the [authentication section](#section/Authentication) for details.","ref":"DockerEngineAPI.Api.Service.html#service_create/3-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_create/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ServiceCreateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_create/3-returns","title":"Returns - DockerEngineAPI.Api.Service.service_create/3","type":"function"},{"doc":"Delete a service","ref":"DockerEngineAPI.Api.Service.html#service_delete/3","title":"DockerEngineAPI.Api.Service.service_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of service.\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Service.html#service_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Service.service_delete/3","type":"function"},{"doc":"Inspect a service","ref":"DockerEngineAPI.Api.Service.html#service_inspect/3","title":"DockerEngineAPI.Api.Service.service_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of service.\n- `opts` (keyword): Optional parameters\n  - `:insertDefaults` (boolean()): Fill empty fields with default values.","ref":"DockerEngineAPI.Api.Service.html#service_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Service.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Service.service_inspect/3","type":"function"},{"doc":"List services","ref":"DockerEngineAPI.Api.Service.html#service_list/2","title":"DockerEngineAPI.Api.Service.service_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the services list.  Available filters:  - `id= ` - `label= ` - `mode=[\"replicated\"|\"global\"]` - `name= ` \n  - `:status` (boolean()): Include service status, with count of running and desired tasks.","ref":"DockerEngineAPI.Api.Service.html#service_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_list/2","type":"function"},{"doc":"- `{:ok, [%Service{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_list/2-returns","title":"Returns - DockerEngineAPI.Api.Service.service_list/2","type":"function"},{"doc":"Get service logs\nGet `stdout` and `stderr` logs from a service. See also [`/containers/{id}/logs`](#operation/ContainerLogs).  **Note**: This endpoint works only for services with the `local`, `json-file` or `journald` logging drivers.","ref":"DockerEngineAPI.Api.Service.html#service_logs/3","title":"DockerEngineAPI.Api.Service.service_logs/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of the service\n- `opts` (keyword): Optional parameters\n  - `:details` (boolean()): Show service context and extra details provided to logs.\n  - `:follow` (boolean()): Keep connection after returning logs.\n  - `:stdout` (boolean()): Return logs from `stdout`\n  - `:stderr` (boolean()): Return logs from `stderr`\n  - `:since` (integer()): Only return logs since this time, as a UNIX timestamp\n  - `:timestamps` (boolean()): Add timestamps to every log line\n  - `:tail` (String.t): Only return this number of log lines from the end of the logs. Specify as an integer or `all` to output all log lines.","ref":"DockerEngineAPI.Api.Service.html#service_logs/3-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_logs/3","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_logs/3-returns","title":"Returns - DockerEngineAPI.Api.Service.service_logs/3","type":"function"},{"doc":"Update a service","ref":"DockerEngineAPI.Api.Service.html#service_update/5","title":"DockerEngineAPI.Api.Service.service_update/5","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID or name of service.\n- `version` (integer()): The version number of the service object being updated. This is required to avoid conflicting writes. This version number should be the value as currently set on the service *before* the update. You can find the current version by calling `GET /services/{id}` \n- `body` (ServiceUpdateRequest): \n- `opts` (keyword): Optional parameters\n  - `:registryAuthFrom` (String.t): If the `X-Registry-Auth` header is not specified, this parameter indicates where to find registry authorization credentials. \n  - `:rollback` (String.t): Set to this parameter to `previous` to cause a server-side rollback to the previous service spec. The supplied spec will be ignored in this case. \n  - `:\"X-Registry-Auth\"` (String.t): A base64url-encoded auth configuration for pulling from private registries.  Refer to the [authentication section](#section/Authentication) for details.","ref":"DockerEngineAPI.Api.Service.html#service_update/5-parameters","title":"Parameters - DockerEngineAPI.Api.Service.service_update/5","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.ServiceUpdateResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Service.html#service_update/5-returns","title":"Returns - DockerEngineAPI.Api.Service.service_update/5","type":"function"},{"doc":"API calls for all endpoints tagged `Session`.","ref":"DockerEngineAPI.Api.Session.html","title":"DockerEngineAPI.Api.Session","type":"module"},{"doc":"Initialize interactive session\nStart a new interactive session with a server. Session allows server to call back to the client for advanced capabilities.","ref":"DockerEngineAPI.Api.Session.html#session/2","title":"DockerEngineAPI.Api.Session.session/2","type":"function"},{"doc":"","ref":"DockerEngineAPI.Api.Session.html#session/2-hijacking-this-endpoint-hijacks-the-http-connection-to-http2-transport-that-allows-the-client-to-expose-gprc-services-on-that-connection-for-example-the-client-sends-this-request-to-upgrade-the-connection-post-session-http-1-1-upgrade-h2c-connection-upgrade-the-docker-daemon-responds-with-a-101-upgraded-response-follow-with-the-raw-stream-http-1-1-101-upgraded-connection-upgrade-upgrade-h2c","title":"Hijacking  This endpoint hijacks the HTTP connection to HTTP2 transport that allows the client to expose gPRC services on that connection.  For example, the client sends this request to upgrade the connection:  ``` POST /session HTTP/1.1 Upgrade: h2c Connection: Upgrade ```  The Docker daemon responds with a `101 UPGRADED` response follow with the raw stream:  ``` HTTP/1.1 101 UPGRADED Connection: Upgrade Upgrade: h2c ``` - DockerEngineAPI.Api.Session.session/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Session.html#session/2-parameters","title":"Parameters - DockerEngineAPI.Api.Session.session/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Session.html#session/2-returns","title":"Returns - DockerEngineAPI.Api.Session.session/2","type":"function"},{"doc":"API calls for all endpoints tagged `Swarm`.","ref":"DockerEngineAPI.Api.Swarm.html","title":"DockerEngineAPI.Api.Swarm","type":"module"},{"doc":"Initialize a new swarm","ref":"DockerEngineAPI.Api.Swarm.html#swarm_init/3","title":"DockerEngineAPI.Api.Swarm.swarm_init/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `body` (SwarmInitRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Swarm.html#swarm_init/3-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_init/3","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_init/3-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_init/3","type":"function"},{"doc":"Inspect swarm","ref":"DockerEngineAPI.Api.Swarm.html#swarm_inspect/2","title":"DockerEngineAPI.Api.Swarm.swarm_inspect/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Swarm.html#swarm_inspect/2-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_inspect/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Swarm.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_inspect/2-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_inspect/2","type":"function"},{"doc":"Join an existing swarm","ref":"DockerEngineAPI.Api.Swarm.html#swarm_join/3","title":"DockerEngineAPI.Api.Swarm.swarm_join/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `body` (SwarmJoinRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Swarm.html#swarm_join/3-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_join/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_join/3-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_join/3","type":"function"},{"doc":"Leave a swarm","ref":"DockerEngineAPI.Api.Swarm.html#swarm_leave/2","title":"DockerEngineAPI.Api.Swarm.swarm_leave/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Force leave swarm, even if this is the last manager or that it will break the cluster.","ref":"DockerEngineAPI.Api.Swarm.html#swarm_leave/2-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_leave/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_leave/2-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_leave/2","type":"function"},{"doc":"Unlock a locked manager","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlock/3","title":"DockerEngineAPI.Api.Swarm.swarm_unlock/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `body` (SwarmUnlockRequest): \n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlock/3-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_unlock/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlock/3-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_unlock/3","type":"function"},{"doc":"Get the unlock key","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlockkey/2","title":"DockerEngineAPI.Api.Swarm.swarm_unlockkey/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlockkey/2-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_unlockkey/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.UnlockKeyResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_unlockkey/2-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_unlockkey/2","type":"function"},{"doc":"Update a swarm","ref":"DockerEngineAPI.Api.Swarm.html#swarm_update/4","title":"DockerEngineAPI.Api.Swarm.swarm_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `version` (integer()): The version number of the swarm object being updated. This is required to avoid conflicting writes. \n- `body` (SwarmSpec): \n- `opts` (keyword): Optional parameters\n  - `:rotateWorkerToken` (boolean()): Rotate the worker join token.\n  - `:rotateManagerToken` (boolean()): Rotate the manager join token.\n  - `:rotateManagerUnlockKey` (boolean()): Rotate the manager unlock key.","ref":"DockerEngineAPI.Api.Swarm.html#swarm_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Swarm.swarm_update/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Swarm.html#swarm_update/4-returns","title":"Returns - DockerEngineAPI.Api.Swarm.swarm_update/4","type":"function"},{"doc":"API calls for all endpoints tagged `System`.","ref":"DockerEngineAPI.Api.System.html","title":"DockerEngineAPI.Api.System","type":"module"},{"doc":"Check auth configuration\nValidate credentials for a registry and, if available, get an identity token for accessing the registry without password.","ref":"DockerEngineAPI.Api.System.html#system_auth/2","title":"DockerEngineAPI.Api.System.system_auth/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (AuthConfig): Authentication to check","ref":"DockerEngineAPI.Api.System.html#system_auth/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_auth/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.SystemAuthResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_auth/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_auth/2","type":"function"},{"doc":"Get data usage information","ref":"DockerEngineAPI.Api.System.html#system_data_usage/2","title":"DockerEngineAPI.Api.System.system_data_usage/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:type` ([String.t]): Object types, for which to compute and return data.","ref":"DockerEngineAPI.Api.System.html#system_data_usage/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_data_usage/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.SystemDataUsageResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_data_usage/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_data_usage/2","type":"function"},{"doc":"Monitor events\nStream real-time events from the server.  Various objects within Docker report events when something happens to them.  Containers report these events: `attach`, `commit`, `copy`, `create`, `destroy`, `detach`, `die`, `exec_create`, `exec_detach`, `exec_start`, `exec_die`, `export`, `health_status`, `kill`, `oom`, `pause`, `rename`, `resize`, `restart`, `start`, `stop`, `top`, `unpause`, `update`, and `prune`  Images report these events: `delete`, `import`, `load`, `pull`, `push`, `save`, `tag`, `untag`, and `prune`  Volumes report these events: `create`, `mount`, `unmount`, `destroy`, and `prune`  Networks report these events: `create`, `connect`, `disconnect`, `destroy`, `update`, `remove`, and `prune`  The Docker daemon reports these events: `reload`  Services report these events: `create`, `update`, and `remove`  Nodes report these events: `create`, `update`, and `remove`  Secrets report these events: `create`, `update`, and `remove`  Configs report these events: `create`, `update`, and `remove`  The Builder reports `prune` events","ref":"DockerEngineAPI.Api.System.html#system_events/2","title":"DockerEngineAPI.Api.System.system_events/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:since` (String.t): Show events created since this timestamp then stream new events.\n  - `:until` (String.t): Show events created until this timestamp then stop streaming.\n  - `:filters` (String.t): A JSON encoded value of filters (a `map[string][]string`) to process on the event list. Available filters:  - `config= ` config name or ID - `container= ` container name or ID - `daemon= ` daemon name or ID - `event= ` event type - `image= ` image name or ID - `label= ` image or container label - `network= ` network name or ID - `node= ` node ID - `plugin`=  plugin name or ID - `scope`=  local or swarm - `secret= ` secret name or ID - `service= ` service name or ID - `type= ` object to filter by, one of `container`, `image`, `volume`, `network`, `daemon`, `plugin`, `node`, `service`, `secret` or `config` - `volume= ` volume name","ref":"DockerEngineAPI.Api.System.html#system_events/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_events/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.EventMessage.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_events/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_events/2","type":"function"},{"doc":"Get system information","ref":"DockerEngineAPI.Api.System.html#system_info/2","title":"DockerEngineAPI.Api.System.system_info/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.System.html#system_info/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_info/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.SystemInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_info/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_info/2","type":"function"},{"doc":"Ping\nThis is a dummy endpoint you can use to test if the server is accessible.","ref":"DockerEngineAPI.Api.System.html#system_ping/2","title":"DockerEngineAPI.Api.System.system_ping/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.System.html#system_ping/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_ping/2","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_ping/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_ping/2","type":"function"},{"doc":"Ping\nThis is a dummy endpoint you can use to test if the server is accessible.","ref":"DockerEngineAPI.Api.System.html#system_ping_head/2","title":"DockerEngineAPI.Api.System.system_ping_head/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.System.html#system_ping_head/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_ping_head/2","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_ping_head/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_ping_head/2","type":"function"},{"doc":"Get version\nReturns the version of Docker that is running and various information about the system that Docker is running on.","ref":"DockerEngineAPI.Api.System.html#system_version/2","title":"DockerEngineAPI.Api.System.system_version/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.System.html#system_version/2-parameters","title":"Parameters - DockerEngineAPI.Api.System.system_version/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.SystemVersion.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.System.html#system_version/2-returns","title":"Returns - DockerEngineAPI.Api.System.system_version/2","type":"function"},{"doc":"API calls for all endpoints tagged `Task`.","ref":"DockerEngineAPI.Api.Task.html","title":"DockerEngineAPI.Api.Task","type":"module"},{"doc":"Inspect a task","ref":"DockerEngineAPI.Api.Task.html#task_inspect/3","title":"DockerEngineAPI.Api.Task.task_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the task\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Task.html#task_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Task.task_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Task.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Task.html#task_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Task.task_inspect/3","type":"function"},{"doc":"List tasks","ref":"DockerEngineAPI.Api.Task.html#task_list/2","title":"DockerEngineAPI.Api.Task.task_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): A JSON encoded value of the filters (a `map[string][]string`) to process on the tasks list.  Available filters:  - `desired-state=(running | shutdown | accepted)` - `id= ` - `label=key` or `label=\"key=value\"` - `name= ` - `node= ` - `service= `","ref":"DockerEngineAPI.Api.Task.html#task_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Task.task_list/2","type":"function"},{"doc":"- `{:ok, [%Task{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Task.html#task_list/2-returns","title":"Returns - DockerEngineAPI.Api.Task.task_list/2","type":"function"},{"doc":"Get task logs\nGet `stdout` and `stderr` logs from a task. See also [`/containers/{id}/logs`](#operation/ContainerLogs).  **Note**: This endpoint works only for services with the `local`, `json-file` or `journald` logging drivers.","ref":"DockerEngineAPI.Api.Task.html#task_logs/3","title":"DockerEngineAPI.Api.Task.task_logs/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `id` (String.t): ID of the task\n- `opts` (keyword): Optional parameters\n  - `:details` (boolean()): Show task context and extra details provided to logs.\n  - `:follow` (boolean()): Keep connection after returning logs.\n  - `:stdout` (boolean()): Return logs from `stdout`\n  - `:stderr` (boolean()): Return logs from `stderr`\n  - `:since` (integer()): Only return logs since this time, as a UNIX timestamp\n  - `:timestamps` (boolean()): Add timestamps to every log line\n  - `:tail` (String.t): Only return this number of log lines from the end of the logs. Specify as an integer or `all` to output all log lines.","ref":"DockerEngineAPI.Api.Task.html#task_logs/3-parameters","title":"Parameters - DockerEngineAPI.Api.Task.task_logs/3","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Task.html#task_logs/3-returns","title":"Returns - DockerEngineAPI.Api.Task.task_logs/3","type":"function"},{"doc":"API calls for all endpoints tagged `Volume`.","ref":"DockerEngineAPI.Api.Volume.html","title":"DockerEngineAPI.Api.Volume","type":"module"},{"doc":"Create a volume","ref":"DockerEngineAPI.Api.Volume.html#volume_create/3","title":"DockerEngineAPI.Api.Volume.volume_create/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `volume_config` (VolumeCreateOptions): Volume configuration\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Volume.html#volume_create/3-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_create/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Volume.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_create/3-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_create/3","type":"function"},{"doc":"Remove a volume\nInstruct the driver to remove the volume.","ref":"DockerEngineAPI.Api.Volume.html#volume_delete/3","title":"DockerEngineAPI.Api.Volume.volume_delete/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Volume name or ID\n- `opts` (keyword): Optional parameters\n  - `:force` (boolean()): Force the removal of the volume","ref":"DockerEngineAPI.Api.Volume.html#volume_delete/3-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_delete/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_delete/3-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_delete/3","type":"function"},{"doc":"Inspect a volume","ref":"DockerEngineAPI.Api.Volume.html#volume_inspect/3","title":"DockerEngineAPI.Api.Volume.volume_inspect/3","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): Volume name or ID\n- `opts` (keyword): Optional parameters","ref":"DockerEngineAPI.Api.Volume.html#volume_inspect/3-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_inspect/3","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.Volume.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_inspect/3-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_inspect/3","type":"function"},{"doc":"List volumes","ref":"DockerEngineAPI.Api.Volume.html#volume_list/2","title":"DockerEngineAPI.Api.Volume.volume_list/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): JSON encoded value of the filters (a `map[string][]string`) to process on the volumes list. Available filters:  - `dangling= ` When set to `true` (or `1`), returns all    volumes that are not in use by a container. When set to `false`    (or `0`), only volumes that are in use by one or more    containers are returned. - `driver= ` Matches volumes based on their driver. - `label= ` or `label= : ` Matches volumes based on    the presence of a `label` alone or a `label` and a value. - `name= ` Matches all or part of a volume name.","ref":"DockerEngineAPI.Api.Volume.html#volume_list/2-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_list/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.VolumeListResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_list/2-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_list/2","type":"function"},{"doc":"Delete unused volumes","ref":"DockerEngineAPI.Api.Volume.html#volume_prune/2","title":"DockerEngineAPI.Api.Volume.volume_prune/2","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:filters` (String.t): Filters to process on the prune list, encoded as JSON (a `map[string][]string`).  Available filters: - `label` (`label= `, `label= = `, `label!= `, or `label!= = `) Prune volumes with (or without, in case `label!=...` is used) the specified labels. - `all` (`all=true`) - Consider all (local) volumes for pruning and not just anonymous volumes.","ref":"DockerEngineAPI.Api.Volume.html#volume_prune/2-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_prune/2","type":"function"},{"doc":"- `{:ok, DockerEngineAPI.Model.VolumePruneResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_prune/2-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_prune/2","type":"function"},{"doc":"\"Update a volume. Valid only for Swarm cluster volumes\"","ref":"DockerEngineAPI.Api.Volume.html#volume_update/4","title":"DockerEngineAPI.Api.Volume.volume_update/4","type":"function"},{"doc":"- `connection` (DockerEngineAPI.Connection): Connection to server\n- `name` (String.t): The name or ID of the volume\n- `version` (integer()): The version number of the volume being updated. This is required to avoid conflicting writes. Found in the volume's `ClusterVolume` field. \n- `opts` (keyword): Optional parameters\n  - `:body` (VolumeUpdateRequest): The spec of the volume to update. Currently, only Availability may change. All other fields must remain unchanged.","ref":"DockerEngineAPI.Api.Volume.html#volume_update/4-parameters","title":"Parameters - DockerEngineAPI.Api.Volume.volume_update/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"DockerEngineAPI.Api.Volume.html#volume_update/4-returns","title":"Returns - DockerEngineAPI.Api.Volume.volume_update/4","type":"function"},{"doc":"Handle Tesla connections for DockerEngineAPI.","ref":"DockerEngineAPI.Connection.html","title":"DockerEngineAPI.Connection","type":"module"},{"doc":"Returns the default adapter for this API.","ref":"DockerEngineAPI.Connection.html#adapter/1","title":"DockerEngineAPI.Connection.adapter/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Connection.html#get_tesla_options/0","title":"DockerEngineAPI.Connection.get_tesla_options/0","type":"function"},{"doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"DockerEngineAPI.Connection.html#middleware/1","title":"DockerEngineAPI.Connection.middleware/1","type":"function"},{"doc":"Configure a client that may have authentication.","ref":"DockerEngineAPI.Connection.html#new/1","title":"DockerEngineAPI.Connection.new/1","type":"function"},{"doc":"- `options`: a keyword list of OpenAPIPetstore.Connection.options.","ref":"DockerEngineAPI.Connection.html#new/1-parameters","title":"Parameters - DockerEngineAPI.Connection.new/1","type":"function"},{"doc":"Tesla.Env.client","ref":"DockerEngineAPI.Connection.html#new/1-returns","title":"Returns - DockerEngineAPI.Connection.new/1","type":"function"},{"doc":"Forward requests to Tesla.","ref":"DockerEngineAPI.Connection.html#request/2","title":"DockerEngineAPI.Connection.request/2","type":"function"},{"doc":"The list of options that can be passed to new/1.\n\n- `base_url`: Overrides the base URL on a per-client basis.\n- `user_agent`: Overrides the User-Agent header.","ref":"DockerEngineAPI.Connection.html#t:options/0","title":"DockerEngineAPI.Connection.options/0","type":"type"},{"doc":"Helper functions for deserializing responses into models","ref":"DockerEngineAPI.Deserializer.html","title":"DockerEngineAPI.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"DockerEngineAPI.Deserializer.html#deserialize/4","title":"DockerEngineAPI.Deserializer.deserialize/4","type":"function"},{"doc":"","ref":"DockerEngineAPI.Deserializer.html#jason_decode/1","title":"DockerEngineAPI.Deserializer.jason_decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Deserializer.html#jason_decode/2","title":"DockerEngineAPI.Deserializer.jason_decode/2","type":"function"},{"doc":"Address represents an IPv4 or IPv6 IP address.","ref":"DockerEngineAPI.Model.Address.html","title":"DockerEngineAPI.Model.Address","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Address.html#decode/1","title":"DockerEngineAPI.Model.Address.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Address.html#t:t/0","title":"DockerEngineAPI.Model.Address.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.AuthConfig.html","title":"DockerEngineAPI.Model.AuthConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.AuthConfig.html#decode/1","title":"DockerEngineAPI.Model.AuthConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.AuthConfig.html#t:t/0","title":"DockerEngineAPI.Model.AuthConfig.t/0","type":"type"},{"doc":"BuildCache contains information about a build cache record.","ref":"DockerEngineAPI.Model.BuildCache.html","title":"DockerEngineAPI.Model.BuildCache","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.BuildCache.html#decode/1","title":"DockerEngineAPI.Model.BuildCache.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.BuildCache.html#t:t/0","title":"DockerEngineAPI.Model.BuildCache.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.BuildInfo.html","title":"DockerEngineAPI.Model.BuildInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.BuildInfo.html#decode/1","title":"DockerEngineAPI.Model.BuildInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.BuildInfo.html#t:t/0","title":"DockerEngineAPI.Model.BuildInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.BuildPruneResponse.html","title":"DockerEngineAPI.Model.BuildPruneResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.BuildPruneResponse.html#decode/1","title":"DockerEngineAPI.Model.BuildPruneResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.BuildPruneResponse.html#t:t/0","title":"DockerEngineAPI.Model.BuildPruneResponse.t/0","type":"type"},{"doc":"Kind of change  Can be one of:  - `0`: Modified (\"C\") - `1`: Added (\"A\") - `2`: Deleted (\"D\")","ref":"DockerEngineAPI.Model.ChangeType.html","title":"DockerEngineAPI.Model.ChangeType","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ChangeType.html#decode/1","title":"DockerEngineAPI.Model.ChangeType.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ChangeType.html#t:t/0","title":"DockerEngineAPI.Model.ChangeType.t/0","type":"type"},{"doc":"ClusterInfo represents information about the swarm as is returned by the \"/info\" endpoint. Join-tokens are not included.","ref":"DockerEngineAPI.Model.ClusterInfo.html","title":"DockerEngineAPI.Model.ClusterInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterInfo.html#decode/1","title":"DockerEngineAPI.Model.ClusterInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterInfo.html#t:t/0","title":"DockerEngineAPI.Model.ClusterInfo.t/0","type":"type"},{"doc":"Options and information specific to, and only present on, Swarm CSI cluster volumes.","ref":"DockerEngineAPI.Model.ClusterVolume.html","title":"DockerEngineAPI.Model.ClusterVolume","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolume.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolume.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolume.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolume.t/0","type":"type"},{"doc":"Information about the global status of the volume.","ref":"DockerEngineAPI.Model.ClusterVolumeInfo.html","title":"DockerEngineAPI.Model.ClusterVolumeInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeInfo.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeInfo.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner.html","title":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumePublishStatusInner.t/0","type":"type"},{"doc":"Cluster-specific options used to create the volume.","ref":"DockerEngineAPI.Model.ClusterVolumeSpec.html","title":"DockerEngineAPI.Model.ClusterVolumeSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpec.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpec.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeSpec.t/0","type":"type"},{"doc":"Defines how the volume is used by tasks.","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode.html","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessMode.t/0","type":"type"},{"doc":"Requirements for the accessible topology of the volume. These fields are optional. For an in-depth description of what these fields mean, see the CSI specification.","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements.html","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeAccessibilityRequirements.t/0","type":"type"},{"doc":"The desired capacity that the volume should be created with. If empty, the plugin will decide the capacity.","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange.html","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeCapacityRange.t/0","type":"type"},{"doc":"One cluster volume secret entry. Defines a key-value pair that is passed to the plugin.","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner.html","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner.html#decode/1","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner.html#t:t/0","title":"DockerEngineAPI.Model.ClusterVolumeSpecAccessModeSecretsInner.t/0","type":"type"},{"doc":"Commit holds the Git-commit (SHA1) that a binary was built from, as reported in the version-string of external tools, such as `containerd`, or `runC`.","ref":"DockerEngineAPI.Model.Commit.html","title":"DockerEngineAPI.Model.Commit","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Commit.html#decode/1","title":"DockerEngineAPI.Model.Commit.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Commit.html#t:t/0","title":"DockerEngineAPI.Model.Commit.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Config.html","title":"DockerEngineAPI.Model.Config","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Config.html#decode/1","title":"DockerEngineAPI.Model.Config.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Config.html#t:t/0","title":"DockerEngineAPI.Model.Config.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigCreateRequest.html","title":"DockerEngineAPI.Model.ConfigCreateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigCreateRequest.html#decode/1","title":"DockerEngineAPI.Model.ConfigCreateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigCreateRequest.html#t:t/0","title":"DockerEngineAPI.Model.ConfigCreateRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigSpec.html","title":"DockerEngineAPI.Model.ConfigSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigSpec.html#decode/1","title":"DockerEngineAPI.Model.ConfigSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ConfigSpec.html#t:t/0","title":"DockerEngineAPI.Model.ConfigSpec.t/0","type":"type"},{"doc":"Configuration for a container that is portable between hosts.  When used as `ContainerConfig` field in an image, `ContainerConfig` is an optional field containing the configuration of the container that was last committed when creating the image.  Previous versions of Docker builder used this field to store build cache, and it is not in active use anymore.","ref":"DockerEngineAPI.Model.ContainerConfig.html","title":"DockerEngineAPI.Model.ContainerConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerConfig.html#decode/1","title":"DockerEngineAPI.Model.ContainerConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerConfig.html#t:t/0","title":"DockerEngineAPI.Model.ContainerConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerCreateRequest.html","title":"DockerEngineAPI.Model.ContainerCreateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerCreateRequest.html#decode/1","title":"DockerEngineAPI.Model.ContainerCreateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerCreateRequest.html#t:t/0","title":"DockerEngineAPI.Model.ContainerCreateRequest.t/0","type":"type"},{"doc":"OK response to ContainerCreate operation","ref":"DockerEngineAPI.Model.ContainerCreateResponse.html","title":"DockerEngineAPI.Model.ContainerCreateResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerCreateResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerCreateResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerCreateResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerCreateResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerInspectResponse.html","title":"DockerEngineAPI.Model.ContainerInspectResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerInspectResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerInspectResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerInspectResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerInspectResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerPruneResponse.html","title":"DockerEngineAPI.Model.ContainerPruneResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerPruneResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerPruneResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerPruneResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerPruneResponse.t/0","type":"type"},{"doc":"ContainerState stores container's running state. It's part of ContainerJSONBase and will be returned by the \"inspect\" command.","ref":"DockerEngineAPI.Model.ContainerState.html","title":"DockerEngineAPI.Model.ContainerState","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerState.html#decode/1","title":"DockerEngineAPI.Model.ContainerState.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerState.html#t:t/0","title":"DockerEngineAPI.Model.ContainerState.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummary.html","title":"DockerEngineAPI.Model.ContainerSummary","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummary.html#decode/1","title":"DockerEngineAPI.Model.ContainerSummary.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummary.html#t:t/0","title":"DockerEngineAPI.Model.ContainerSummary.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummaryHostConfig.html","title":"DockerEngineAPI.Model.ContainerSummaryHostConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummaryHostConfig.html#decode/1","title":"DockerEngineAPI.Model.ContainerSummaryHostConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummaryHostConfig.html#t:t/0","title":"DockerEngineAPI.Model.ContainerSummaryHostConfig.t/0","type":"type"},{"doc":"A summary of the container's network settings","ref":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings.html","title":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings.html#decode/1","title":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings.html#t:t/0","title":"DockerEngineAPI.Model.ContainerSummaryNetworkSettings.t/0","type":"type"},{"doc":"OK response to ContainerTop operation","ref":"DockerEngineAPI.Model.ContainerTopResponse.html","title":"DockerEngineAPI.Model.ContainerTopResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerTopResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerTopResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerTopResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerTopResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerUpdateRequest.html","title":"DockerEngineAPI.Model.ContainerUpdateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerUpdateRequest.html#decode/1","title":"DockerEngineAPI.Model.ContainerUpdateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerUpdateRequest.html#t:t/0","title":"DockerEngineAPI.Model.ContainerUpdateRequest.t/0","type":"type"},{"doc":"OK response to ContainerUpdate operation","ref":"DockerEngineAPI.Model.ContainerUpdateResponse.html","title":"DockerEngineAPI.Model.ContainerUpdateResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerUpdateResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerUpdateResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerUpdateResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerUpdateResponse.t/0","type":"type"},{"doc":"container waiting error, if any","ref":"DockerEngineAPI.Model.ContainerWaitExitError.html","title":"DockerEngineAPI.Model.ContainerWaitExitError","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerWaitExitError.html#decode/1","title":"DockerEngineAPI.Model.ContainerWaitExitError.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerWaitExitError.html#t:t/0","title":"DockerEngineAPI.Model.ContainerWaitExitError.t/0","type":"type"},{"doc":"OK response to ContainerWait operation","ref":"DockerEngineAPI.Model.ContainerWaitResponse.html","title":"DockerEngineAPI.Model.ContainerWaitResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerWaitResponse.html#decode/1","title":"DockerEngineAPI.Model.ContainerWaitResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ContainerWaitResponse.html#t:t/0","title":"DockerEngineAPI.Model.ContainerWaitResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.CreateImageInfo.html","title":"DockerEngineAPI.Model.CreateImageInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.CreateImageInfo.html#decode/1","title":"DockerEngineAPI.Model.CreateImageInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.CreateImageInfo.html#t:t/0","title":"DockerEngineAPI.Model.CreateImageInfo.t/0","type":"type"},{"doc":"A device mapping between the host and container","ref":"DockerEngineAPI.Model.DeviceMapping.html","title":"DockerEngineAPI.Model.DeviceMapping","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.DeviceMapping.html#decode/1","title":"DockerEngineAPI.Model.DeviceMapping.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.DeviceMapping.html#t:t/0","title":"DockerEngineAPI.Model.DeviceMapping.t/0","type":"type"},{"doc":"A request for devices to be sent to device drivers","ref":"DockerEngineAPI.Model.DeviceRequest.html","title":"DockerEngineAPI.Model.DeviceRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.DeviceRequest.html#decode/1","title":"DockerEngineAPI.Model.DeviceRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.DeviceRequest.html#t:t/0","title":"DockerEngineAPI.Model.DeviceRequest.t/0","type":"type"},{"doc":"Describes the result obtained from contacting the registry to retrieve image metadata.","ref":"DockerEngineAPI.Model.DistributionInspect.html","title":"DockerEngineAPI.Model.DistributionInspect","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.DistributionInspect.html#decode/1","title":"DockerEngineAPI.Model.DistributionInspect.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.DistributionInspect.html#t:t/0","title":"DockerEngineAPI.Model.DistributionInspect.t/0","type":"type"},{"doc":"Driver represents a driver (network, logging, secrets).","ref":"DockerEngineAPI.Model.Driver.html","title":"DockerEngineAPI.Model.Driver","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Driver.html#decode/1","title":"DockerEngineAPI.Model.Driver.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Driver.html#t:t/0","title":"DockerEngineAPI.Model.Driver.t/0","type":"type"},{"doc":"EndpointIPAMConfig represents an endpoint's IPAM configuration.","ref":"DockerEngineAPI.Model.EndpointIpamConfig.html","title":"DockerEngineAPI.Model.EndpointIpamConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointIpamConfig.html#decode/1","title":"DockerEngineAPI.Model.EndpointIpamConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointIpamConfig.html#t:t/0","title":"DockerEngineAPI.Model.EndpointIpamConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointPortConfig.html","title":"DockerEngineAPI.Model.EndpointPortConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointPortConfig.html#decode/1","title":"DockerEngineAPI.Model.EndpointPortConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointPortConfig.html#t:t/0","title":"DockerEngineAPI.Model.EndpointPortConfig.t/0","type":"type"},{"doc":"Configuration for a network endpoint.","ref":"DockerEngineAPI.Model.EndpointSettings.html","title":"DockerEngineAPI.Model.EndpointSettings","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointSettings.html#decode/1","title":"DockerEngineAPI.Model.EndpointSettings.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointSettings.html#t:t/0","title":"DockerEngineAPI.Model.EndpointSettings.t/0","type":"type"},{"doc":"Properties that can be configured to access and load balance a service.","ref":"DockerEngineAPI.Model.EndpointSpec.html","title":"DockerEngineAPI.Model.EndpointSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointSpec.html#decode/1","title":"DockerEngineAPI.Model.EndpointSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EndpointSpec.html#t:t/0","title":"DockerEngineAPI.Model.EndpointSpec.t/0","type":"type"},{"doc":"EngineDescription provides information about an engine.","ref":"DockerEngineAPI.Model.EngineDescription.html","title":"DockerEngineAPI.Model.EngineDescription","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EngineDescription.html#decode/1","title":"DockerEngineAPI.Model.EngineDescription.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EngineDescription.html#t:t/0","title":"DockerEngineAPI.Model.EngineDescription.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.EngineDescriptionPluginsInner.html","title":"DockerEngineAPI.Model.EngineDescriptionPluginsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EngineDescriptionPluginsInner.html#decode/1","title":"DockerEngineAPI.Model.EngineDescriptionPluginsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EngineDescriptionPluginsInner.html#t:t/0","title":"DockerEngineAPI.Model.EngineDescriptionPluginsInner.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ErrorDetail.html","title":"DockerEngineAPI.Model.ErrorDetail","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ErrorDetail.html#decode/1","title":"DockerEngineAPI.Model.ErrorDetail.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ErrorDetail.html#t:t/0","title":"DockerEngineAPI.Model.ErrorDetail.t/0","type":"type"},{"doc":"Represents an error.","ref":"DockerEngineAPI.Model.ErrorResponse.html","title":"DockerEngineAPI.Model.ErrorResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ErrorResponse.html#decode/1","title":"DockerEngineAPI.Model.ErrorResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ErrorResponse.html#t:t/0","title":"DockerEngineAPI.Model.ErrorResponse.t/0","type":"type"},{"doc":"Actor describes something that generates events, like a container, network, or a volume.","ref":"DockerEngineAPI.Model.EventActor.html","title":"DockerEngineAPI.Model.EventActor","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EventActor.html#decode/1","title":"DockerEngineAPI.Model.EventActor.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EventActor.html#t:t/0","title":"DockerEngineAPI.Model.EventActor.t/0","type":"type"},{"doc":"EventMessage represents the information an event contains.","ref":"DockerEngineAPI.Model.EventMessage.html","title":"DockerEngineAPI.Model.EventMessage","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.EventMessage.html#decode/1","title":"DockerEngineAPI.Model.EventMessage.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.EventMessage.html#t:t/0","title":"DockerEngineAPI.Model.EventMessage.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ExecConfig.html","title":"DockerEngineAPI.Model.ExecConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ExecConfig.html#decode/1","title":"DockerEngineAPI.Model.ExecConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ExecConfig.html#t:t/0","title":"DockerEngineAPI.Model.ExecConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ExecInspectResponse.html","title":"DockerEngineAPI.Model.ExecInspectResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ExecInspectResponse.html#decode/1","title":"DockerEngineAPI.Model.ExecInspectResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ExecInspectResponse.html#t:t/0","title":"DockerEngineAPI.Model.ExecInspectResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ExecStartConfig.html","title":"DockerEngineAPI.Model.ExecStartConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ExecStartConfig.html#decode/1","title":"DockerEngineAPI.Model.ExecStartConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ExecStartConfig.html#t:t/0","title":"DockerEngineAPI.Model.ExecStartConfig.t/0","type":"type"},{"doc":"Change in the container's filesystem.","ref":"DockerEngineAPI.Model.FilesystemChange.html","title":"DockerEngineAPI.Model.FilesystemChange","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.FilesystemChange.html#decode/1","title":"DockerEngineAPI.Model.FilesystemChange.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.FilesystemChange.html#t:t/0","title":"DockerEngineAPI.Model.FilesystemChange.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInner.html","title":"DockerEngineAPI.Model.GenericResourcesInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInner.html#decode/1","title":"DockerEngineAPI.Model.GenericResourcesInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInner.html#t:t/0","title":"DockerEngineAPI.Model.GenericResourcesInner.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec.html","title":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec.html#decode/1","title":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec.html#t:t/0","title":"DockerEngineAPI.Model.GenericResourcesInnerDiscreteResourceSpec.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec.html","title":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec.html#decode/1","title":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec.html#t:t/0","title":"DockerEngineAPI.Model.GenericResourcesInnerNamedResourceSpec.t/0","type":"type"},{"doc":"Information about the storage driver used to store the container's and image's filesystem.","ref":"DockerEngineAPI.Model.GraphDriverData.html","title":"DockerEngineAPI.Model.GraphDriverData","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.GraphDriverData.html#decode/1","title":"DockerEngineAPI.Model.GraphDriverData.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.GraphDriverData.html#t:t/0","title":"DockerEngineAPI.Model.GraphDriverData.t/0","type":"type"},{"doc":"Health stores information about the container's healthcheck results.","ref":"DockerEngineAPI.Model.Health.html","title":"DockerEngineAPI.Model.Health","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Health.html#decode/1","title":"DockerEngineAPI.Model.Health.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Health.html#t:t/0","title":"DockerEngineAPI.Model.Health.t/0","type":"type"},{"doc":"A test to perform to check that the container is healthy.","ref":"DockerEngineAPI.Model.HealthConfig.html","title":"DockerEngineAPI.Model.HealthConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.HealthConfig.html#decode/1","title":"DockerEngineAPI.Model.HealthConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.HealthConfig.html#t:t/0","title":"DockerEngineAPI.Model.HealthConfig.t/0","type":"type"},{"doc":"HealthcheckResult stores information about a single run of a healthcheck probe","ref":"DockerEngineAPI.Model.HealthcheckResult.html","title":"DockerEngineAPI.Model.HealthcheckResult","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.HealthcheckResult.html#decode/1","title":"DockerEngineAPI.Model.HealthcheckResult.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.HealthcheckResult.html#t:t/0","title":"DockerEngineAPI.Model.HealthcheckResult.t/0","type":"type"},{"doc":"individual image layer information in response to ImageHistory operation","ref":"DockerEngineAPI.Model.HistoryResponseItem.html","title":"DockerEngineAPI.Model.HistoryResponseItem","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.HistoryResponseItem.html#decode/1","title":"DockerEngineAPI.Model.HistoryResponseItem.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.HistoryResponseItem.html#t:t/0","title":"DockerEngineAPI.Model.HistoryResponseItem.t/0","type":"type"},{"doc":"Container configuration that depends on the host we are running on","ref":"DockerEngineAPI.Model.HostConfig.html","title":"DockerEngineAPI.Model.HostConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.HostConfig.html#decode/1","title":"DockerEngineAPI.Model.HostConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.HostConfig.html#t:t/0","title":"DockerEngineAPI.Model.HostConfig.t/0","type":"type"},{"doc":"The logging configuration for this container","ref":"DockerEngineAPI.Model.HostConfigAllOfLogConfig.html","title":"DockerEngineAPI.Model.HostConfigAllOfLogConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.HostConfigAllOfLogConfig.html#decode/1","title":"DockerEngineAPI.Model.HostConfigAllOfLogConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.HostConfigAllOfLogConfig.html#t:t/0","title":"DockerEngineAPI.Model.HostConfigAllOfLogConfig.t/0","type":"type"},{"doc":"Response to an API call that returns just an Id","ref":"DockerEngineAPI.Model.IdResponse.html","title":"DockerEngineAPI.Model.IdResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.IdResponse.html#decode/1","title":"DockerEngineAPI.Model.IdResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.IdResponse.html#t:t/0","title":"DockerEngineAPI.Model.IdResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ImageDeleteResponseItem.html","title":"DockerEngineAPI.Model.ImageDeleteResponseItem","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageDeleteResponseItem.html#decode/1","title":"DockerEngineAPI.Model.ImageDeleteResponseItem.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageDeleteResponseItem.html#t:t/0","title":"DockerEngineAPI.Model.ImageDeleteResponseItem.t/0","type":"type"},{"doc":"Image ID or Digest","ref":"DockerEngineAPI.Model.ImageId.html","title":"DockerEngineAPI.Model.ImageId","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageId.html#decode/1","title":"DockerEngineAPI.Model.ImageId.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageId.html#t:t/0","title":"DockerEngineAPI.Model.ImageId.t/0","type":"type"},{"doc":"Information about an image in the local image cache.","ref":"DockerEngineAPI.Model.ImageInspect.html","title":"DockerEngineAPI.Model.ImageInspect","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspect.html#decode/1","title":"DockerEngineAPI.Model.ImageInspect.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspect.html#t:t/0","title":"DockerEngineAPI.Model.ImageInspect.t/0","type":"type"},{"doc":"Additional metadata of the image in the local cache. This information is local to the daemon, and not part of the image itself.","ref":"DockerEngineAPI.Model.ImageInspectMetadata.html","title":"DockerEngineAPI.Model.ImageInspectMetadata","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspectMetadata.html#decode/1","title":"DockerEngineAPI.Model.ImageInspectMetadata.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspectMetadata.html#t:t/0","title":"DockerEngineAPI.Model.ImageInspectMetadata.t/0","type":"type"},{"doc":"Information about the image's RootFS, including the layer IDs.","ref":"DockerEngineAPI.Model.ImageInspectRootFs.html","title":"DockerEngineAPI.Model.ImageInspectRootFs","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspectRootFs.html#decode/1","title":"DockerEngineAPI.Model.ImageInspectRootFs.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageInspectRootFs.html#t:t/0","title":"DockerEngineAPI.Model.ImageInspectRootFs.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ImagePruneResponse.html","title":"DockerEngineAPI.Model.ImagePruneResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImagePruneResponse.html#decode/1","title":"DockerEngineAPI.Model.ImagePruneResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImagePruneResponse.html#t:t/0","title":"DockerEngineAPI.Model.ImagePruneResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSearchResponseItem.html","title":"DockerEngineAPI.Model.ImageSearchResponseItem","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSearchResponseItem.html#decode/1","title":"DockerEngineAPI.Model.ImageSearchResponseItem.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSearchResponseItem.html#t:t/0","title":"DockerEngineAPI.Model.ImageSearchResponseItem.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSummary.html","title":"DockerEngineAPI.Model.ImageSummary","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSummary.html#decode/1","title":"DockerEngineAPI.Model.ImageSummary.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ImageSummary.html#t:t/0","title":"DockerEngineAPI.Model.ImageSummary.t/0","type":"type"},{"doc":"IndexInfo contains information about a registry.","ref":"DockerEngineAPI.Model.IndexInfo.html","title":"DockerEngineAPI.Model.IndexInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.IndexInfo.html#decode/1","title":"DockerEngineAPI.Model.IndexInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.IndexInfo.html#t:t/0","title":"DockerEngineAPI.Model.IndexInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Ipam.html","title":"DockerEngineAPI.Model.Ipam","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Ipam.html#decode/1","title":"DockerEngineAPI.Model.Ipam.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Ipam.html#t:t/0","title":"DockerEngineAPI.Model.Ipam.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.IpamConfig.html","title":"DockerEngineAPI.Model.IpamConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.IpamConfig.html#decode/1","title":"DockerEngineAPI.Model.IpamConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.IpamConfig.html#t:t/0","title":"DockerEngineAPI.Model.IpamConfig.t/0","type":"type"},{"doc":"JoinTokens contains the tokens workers and managers need to join the swarm.","ref":"DockerEngineAPI.Model.JoinTokens.html","title":"DockerEngineAPI.Model.JoinTokens","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.JoinTokens.html#decode/1","title":"DockerEngineAPI.Model.JoinTokens.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.JoinTokens.html#t:t/0","title":"DockerEngineAPI.Model.JoinTokens.t/0","type":"type"},{"doc":"An object describing a limit on resources which can be requested by a task.","ref":"DockerEngineAPI.Model.Limit.html","title":"DockerEngineAPI.Model.Limit","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Limit.html#decode/1","title":"DockerEngineAPI.Model.Limit.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Limit.html#t:t/0","title":"DockerEngineAPI.Model.Limit.t/0","type":"type"},{"doc":"Current local status of this node.","ref":"DockerEngineAPI.Model.LocalNodeState.html","title":"DockerEngineAPI.Model.LocalNodeState","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.LocalNodeState.html#decode/1","title":"DockerEngineAPI.Model.LocalNodeState.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.LocalNodeState.html#t:t/0","title":"DockerEngineAPI.Model.LocalNodeState.t/0","type":"type"},{"doc":"ManagerStatus represents the status of a manager.  It provides the current status of a node's manager component, if the node is a manager.","ref":"DockerEngineAPI.Model.ManagerStatus.html","title":"DockerEngineAPI.Model.ManagerStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ManagerStatus.html#decode/1","title":"DockerEngineAPI.Model.ManagerStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ManagerStatus.html#t:t/0","title":"DockerEngineAPI.Model.ManagerStatus.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Mount.html","title":"DockerEngineAPI.Model.Mount","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Mount.html#decode/1","title":"DockerEngineAPI.Model.Mount.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Mount.html#t:t/0","title":"DockerEngineAPI.Model.Mount.t/0","type":"type"},{"doc":"Optional configuration for the `bind` type.","ref":"DockerEngineAPI.Model.MountBindOptions.html","title":"DockerEngineAPI.Model.MountBindOptions","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.MountBindOptions.html#decode/1","title":"DockerEngineAPI.Model.MountBindOptions.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.MountBindOptions.html#t:t/0","title":"DockerEngineAPI.Model.MountBindOptions.t/0","type":"type"},{"doc":"MountPoint represents a mount point configuration inside the container. This is used for reporting the mountpoints in use by a container.","ref":"DockerEngineAPI.Model.MountPoint.html","title":"DockerEngineAPI.Model.MountPoint","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.MountPoint.html#decode/1","title":"DockerEngineAPI.Model.MountPoint.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.MountPoint.html#t:t/0","title":"DockerEngineAPI.Model.MountPoint.t/0","type":"type"},{"doc":"Optional configuration for the `tmpfs` type.","ref":"DockerEngineAPI.Model.MountTmpfsOptions.html","title":"DockerEngineAPI.Model.MountTmpfsOptions","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.MountTmpfsOptions.html#decode/1","title":"DockerEngineAPI.Model.MountTmpfsOptions.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.MountTmpfsOptions.html#t:t/0","title":"DockerEngineAPI.Model.MountTmpfsOptions.t/0","type":"type"},{"doc":"Optional configuration for the `volume` type.","ref":"DockerEngineAPI.Model.MountVolumeOptions.html","title":"DockerEngineAPI.Model.MountVolumeOptions","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.MountVolumeOptions.html#decode/1","title":"DockerEngineAPI.Model.MountVolumeOptions.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.MountVolumeOptions.html#t:t/0","title":"DockerEngineAPI.Model.MountVolumeOptions.t/0","type":"type"},{"doc":"Map of driver specific options","ref":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig.html","title":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig.html#decode/1","title":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig.html#t:t/0","title":"DockerEngineAPI.Model.MountVolumeOptionsDriverConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Network.html","title":"DockerEngineAPI.Model.Network","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Network.html#decode/1","title":"DockerEngineAPI.Model.Network.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Network.html#t:t/0","title":"DockerEngineAPI.Model.Network.t/0","type":"type"},{"doc":"Specifies how a service should be attached to a particular network.","ref":"DockerEngineAPI.Model.NetworkAttachmentConfig.html","title":"DockerEngineAPI.Model.NetworkAttachmentConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkAttachmentConfig.html#decode/1","title":"DockerEngineAPI.Model.NetworkAttachmentConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkAttachmentConfig.html#t:t/0","title":"DockerEngineAPI.Model.NetworkAttachmentConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkConnectRequest.html","title":"DockerEngineAPI.Model.NetworkConnectRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkConnectRequest.html#decode/1","title":"DockerEngineAPI.Model.NetworkConnectRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkConnectRequest.html#t:t/0","title":"DockerEngineAPI.Model.NetworkConnectRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkContainer.html","title":"DockerEngineAPI.Model.NetworkContainer","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkContainer.html#decode/1","title":"DockerEngineAPI.Model.NetworkContainer.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkContainer.html#t:t/0","title":"DockerEngineAPI.Model.NetworkContainer.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateRequest.html","title":"DockerEngineAPI.Model.NetworkCreateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateRequest.html#decode/1","title":"DockerEngineAPI.Model.NetworkCreateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateRequest.html#t:t/0","title":"DockerEngineAPI.Model.NetworkCreateRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateResponse.html","title":"DockerEngineAPI.Model.NetworkCreateResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateResponse.html#decode/1","title":"DockerEngineAPI.Model.NetworkCreateResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkCreateResponse.html#t:t/0","title":"DockerEngineAPI.Model.NetworkCreateResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkDisconnectRequest.html","title":"DockerEngineAPI.Model.NetworkDisconnectRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkDisconnectRequest.html#decode/1","title":"DockerEngineAPI.Model.NetworkDisconnectRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkDisconnectRequest.html#t:t/0","title":"DockerEngineAPI.Model.NetworkDisconnectRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkPruneResponse.html","title":"DockerEngineAPI.Model.NetworkPruneResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkPruneResponse.html#decode/1","title":"DockerEngineAPI.Model.NetworkPruneResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkPruneResponse.html#t:t/0","title":"DockerEngineAPI.Model.NetworkPruneResponse.t/0","type":"type"},{"doc":"NetworkSettings exposes the network settings in the API","ref":"DockerEngineAPI.Model.NetworkSettings.html","title":"DockerEngineAPI.Model.NetworkSettings","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkSettings.html#decode/1","title":"DockerEngineAPI.Model.NetworkSettings.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkSettings.html#t:t/0","title":"DockerEngineAPI.Model.NetworkSettings.t/0","type":"type"},{"doc":"NetworkingConfig represents the container's networking configuration for each of its interfaces. It is used for the networking configs specified in the `docker create` and `docker network connect` commands.","ref":"DockerEngineAPI.Model.NetworkingConfig.html","title":"DockerEngineAPI.Model.NetworkingConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkingConfig.html#decode/1","title":"DockerEngineAPI.Model.NetworkingConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NetworkingConfig.html#t:t/0","title":"DockerEngineAPI.Model.NetworkingConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Node.html","title":"DockerEngineAPI.Model.Node","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Node.html#decode/1","title":"DockerEngineAPI.Model.Node.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Node.html#t:t/0","title":"DockerEngineAPI.Model.Node.t/0","type":"type"},{"doc":"NodeDescription encapsulates the properties of the Node as reported by the agent.","ref":"DockerEngineAPI.Model.NodeDescription.html","title":"DockerEngineAPI.Model.NodeDescription","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NodeDescription.html#decode/1","title":"DockerEngineAPI.Model.NodeDescription.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NodeDescription.html#t:t/0","title":"DockerEngineAPI.Model.NodeDescription.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.NodeSpec.html","title":"DockerEngineAPI.Model.NodeSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NodeSpec.html#decode/1","title":"DockerEngineAPI.Model.NodeSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NodeSpec.html#t:t/0","title":"DockerEngineAPI.Model.NodeSpec.t/0","type":"type"},{"doc":"NodeState represents the state of a node.","ref":"DockerEngineAPI.Model.NodeState.html","title":"DockerEngineAPI.Model.NodeState","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NodeState.html#decode/1","title":"DockerEngineAPI.Model.NodeState.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NodeState.html#t:t/0","title":"DockerEngineAPI.Model.NodeState.t/0","type":"type"},{"doc":"NodeStatus represents the status of a node.  It provides the current status of the node, as seen by the manager.","ref":"DockerEngineAPI.Model.NodeStatus.html","title":"DockerEngineAPI.Model.NodeStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.NodeStatus.html#decode/1","title":"DockerEngineAPI.Model.NodeStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.NodeStatus.html#t:t/0","title":"DockerEngineAPI.Model.NodeStatus.t/0","type":"type"},{"doc":"The version number of the object such as node, service, etc. This is needed to avoid conflicting writes. The client must send the version number along with the modified specification when updating these objects.  This approach ensures safe concurrency and determinism in that the change on the object may not be applied if the version number has changed from the last read. In other words, if two update requests specify the same base version, only one of the requests can succeed. As a result, two separate update requests that happen at the same time will not unintentionally overwrite each other.","ref":"DockerEngineAPI.Model.ObjectVersion.html","title":"DockerEngineAPI.Model.ObjectVersion","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ObjectVersion.html#decode/1","title":"DockerEngineAPI.Model.ObjectVersion.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ObjectVersion.html#t:t/0","title":"DockerEngineAPI.Model.ObjectVersion.t/0","type":"type"},{"doc":"A descriptor struct containing digest, media type, and size, as defined in the [OCI Content Descriptors Specification](https://github.com/opencontainers/image-spec/blob/v1.0.1/descriptor.md).","ref":"DockerEngineAPI.Model.OciDescriptor.html","title":"DockerEngineAPI.Model.OciDescriptor","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.OciDescriptor.html#decode/1","title":"DockerEngineAPI.Model.OciDescriptor.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.OciDescriptor.html#t:t/0","title":"DockerEngineAPI.Model.OciDescriptor.t/0","type":"type"},{"doc":"Describes the platform which the image in the manifest runs on, as defined in the [OCI Image Index Specification](https://github.com/opencontainers/image-spec/blob/v1.0.1/image-index.md).","ref":"DockerEngineAPI.Model.OciPlatform.html","title":"DockerEngineAPI.Model.OciPlatform","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.OciPlatform.html#decode/1","title":"DockerEngineAPI.Model.OciPlatform.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.OciPlatform.html#t:t/0","title":"DockerEngineAPI.Model.OciPlatform.t/0","type":"type"},{"doc":"Represents a peer-node in the swarm","ref":"DockerEngineAPI.Model.PeerNode.html","title":"DockerEngineAPI.Model.PeerNode","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PeerNode.html#decode/1","title":"DockerEngineAPI.Model.PeerNode.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PeerNode.html#t:t/0","title":"DockerEngineAPI.Model.PeerNode.t/0","type":"type"},{"doc":"Platform represents the platform (Arch/OS).","ref":"DockerEngineAPI.Model.Platform.html","title":"DockerEngineAPI.Model.Platform","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Platform.html#decode/1","title":"DockerEngineAPI.Model.Platform.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Platform.html#t:t/0","title":"DockerEngineAPI.Model.Platform.t/0","type":"type"},{"doc":"A plugin for the Engine API","ref":"DockerEngineAPI.Model.Plugin.html","title":"DockerEngineAPI.Model.Plugin","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Plugin.html#decode/1","title":"DockerEngineAPI.Model.Plugin.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Plugin.html#t:t/0","title":"DockerEngineAPI.Model.Plugin.t/0","type":"type"},{"doc":"The config of a plugin.","ref":"DockerEngineAPI.Model.PluginConfig.html","title":"DockerEngineAPI.Model.PluginConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfig.html#decode/1","title":"DockerEngineAPI.Model.PluginConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfig.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigArgs.html","title":"DockerEngineAPI.Model.PluginConfigArgs","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigArgs.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigArgs.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigArgs.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigArgs.t/0","type":"type"},{"doc":"The interface between Docker and the plugin","ref":"DockerEngineAPI.Model.PluginConfigInterface.html","title":"DockerEngineAPI.Model.PluginConfigInterface","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigInterface.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigInterface.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigInterface.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigInterface.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigLinux.html","title":"DockerEngineAPI.Model.PluginConfigLinux","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigLinux.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigLinux.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigLinux.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigLinux.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigNetwork.html","title":"DockerEngineAPI.Model.PluginConfigNetwork","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigNetwork.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigNetwork.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigNetwork.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigNetwork.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigRootfs.html","title":"DockerEngineAPI.Model.PluginConfigRootfs","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigRootfs.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigRootfs.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigRootfs.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigRootfs.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigUser.html","title":"DockerEngineAPI.Model.PluginConfigUser","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigUser.html#decode/1","title":"DockerEngineAPI.Model.PluginConfigUser.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginConfigUser.html#t:t/0","title":"DockerEngineAPI.Model.PluginConfigUser.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginDevice.html","title":"DockerEngineAPI.Model.PluginDevice","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginDevice.html#decode/1","title":"DockerEngineAPI.Model.PluginDevice.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginDevice.html#t:t/0","title":"DockerEngineAPI.Model.PluginDevice.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginEnv.html","title":"DockerEngineAPI.Model.PluginEnv","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginEnv.html#decode/1","title":"DockerEngineAPI.Model.PluginEnv.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginEnv.html#t:t/0","title":"DockerEngineAPI.Model.PluginEnv.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginInterfaceType.html","title":"DockerEngineAPI.Model.PluginInterfaceType","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginInterfaceType.html#decode/1","title":"DockerEngineAPI.Model.PluginInterfaceType.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginInterfaceType.html#t:t/0","title":"DockerEngineAPI.Model.PluginInterfaceType.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PluginMount.html","title":"DockerEngineAPI.Model.PluginMount","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginMount.html#decode/1","title":"DockerEngineAPI.Model.PluginMount.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginMount.html#t:t/0","title":"DockerEngineAPI.Model.PluginMount.t/0","type":"type"},{"doc":"Describes a permission the user has to accept upon installing the plugin.","ref":"DockerEngineAPI.Model.PluginPrivilege.html","title":"DockerEngineAPI.Model.PluginPrivilege","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginPrivilege.html#decode/1","title":"DockerEngineAPI.Model.PluginPrivilege.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginPrivilege.html#t:t/0","title":"DockerEngineAPI.Model.PluginPrivilege.t/0","type":"type"},{"doc":"Settings that can be modified by users.","ref":"DockerEngineAPI.Model.PluginSettings.html","title":"DockerEngineAPI.Model.PluginSettings","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginSettings.html#decode/1","title":"DockerEngineAPI.Model.PluginSettings.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginSettings.html#t:t/0","title":"DockerEngineAPI.Model.PluginSettings.t/0","type":"type"},{"doc":"Available plugins per type.       > **Note**: Only unmanaged (V1) plugins are included in this list. > V1 plugins are \"lazily\" loaded, and are not returned in this list > if there is no resource using the plugin.","ref":"DockerEngineAPI.Model.PluginsInfo.html","title":"DockerEngineAPI.Model.PluginsInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PluginsInfo.html#decode/1","title":"DockerEngineAPI.Model.PluginsInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PluginsInfo.html#t:t/0","title":"DockerEngineAPI.Model.PluginsInfo.t/0","type":"type"},{"doc":"An open port on a container","ref":"DockerEngineAPI.Model.Port.html","title":"DockerEngineAPI.Model.Port","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Port.html#decode/1","title":"DockerEngineAPI.Model.Port.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Port.html#t:t/0","title":"DockerEngineAPI.Model.Port.t/0","type":"type"},{"doc":"PortBinding represents a binding between a host IP address and a host port.","ref":"DockerEngineAPI.Model.PortBinding.html","title":"DockerEngineAPI.Model.PortBinding","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PortBinding.html#decode/1","title":"DockerEngineAPI.Model.PortBinding.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PortBinding.html#t:t/0","title":"DockerEngineAPI.Model.PortBinding.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ProcessConfig.html","title":"DockerEngineAPI.Model.ProcessConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ProcessConfig.html#decode/1","title":"DockerEngineAPI.Model.ProcessConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ProcessConfig.html#t:t/0","title":"DockerEngineAPI.Model.ProcessConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ProgressDetail.html","title":"DockerEngineAPI.Model.ProgressDetail","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ProgressDetail.html#decode/1","title":"DockerEngineAPI.Model.ProgressDetail.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ProgressDetail.html#t:t/0","title":"DockerEngineAPI.Model.ProgressDetail.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.PushImageInfo.html","title":"DockerEngineAPI.Model.PushImageInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.PushImageInfo.html#decode/1","title":"DockerEngineAPI.Model.PushImageInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.PushImageInfo.html#t:t/0","title":"DockerEngineAPI.Model.PushImageInfo.t/0","type":"type"},{"doc":"Reachability represents the reachability of a node.","ref":"DockerEngineAPI.Model.Reachability.html","title":"DockerEngineAPI.Model.Reachability","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Reachability.html#decode/1","title":"DockerEngineAPI.Model.Reachability.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Reachability.html#t:t/0","title":"DockerEngineAPI.Model.Reachability.t/0","type":"type"},{"doc":"RegistryServiceConfig stores daemon registry services configuration.","ref":"DockerEngineAPI.Model.RegistryServiceConfig.html","title":"DockerEngineAPI.Model.RegistryServiceConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.RegistryServiceConfig.html#decode/1","title":"DockerEngineAPI.Model.RegistryServiceConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.RegistryServiceConfig.html#t:t/0","title":"DockerEngineAPI.Model.RegistryServiceConfig.t/0","type":"type"},{"doc":"An object describing the resources which can be advertised by a node and requested by a task.","ref":"DockerEngineAPI.Model.ResourceObject.html","title":"DockerEngineAPI.Model.ResourceObject","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ResourceObject.html#decode/1","title":"DockerEngineAPI.Model.ResourceObject.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ResourceObject.html#t:t/0","title":"DockerEngineAPI.Model.ResourceObject.t/0","type":"type"},{"doc":"A container's resources (cgroups config, ulimits, etc)","ref":"DockerEngineAPI.Model.Resources.html","title":"DockerEngineAPI.Model.Resources","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Resources.html#decode/1","title":"DockerEngineAPI.Model.Resources.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Resources.html#t:t/0","title":"DockerEngineAPI.Model.Resources.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner.html","title":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner.html#decode/1","title":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner.html#t:t/0","title":"DockerEngineAPI.Model.ResourcesBlkioWeightDeviceInner.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesUlimitsInner.html","title":"DockerEngineAPI.Model.ResourcesUlimitsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesUlimitsInner.html#decode/1","title":"DockerEngineAPI.Model.ResourcesUlimitsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ResourcesUlimitsInner.html#t:t/0","title":"DockerEngineAPI.Model.ResourcesUlimitsInner.t/0","type":"type"},{"doc":"The behavior to apply when the container exits. The default is not to restart.  An ever increasing delay (double the previous delay, starting at 100ms) is added before each restart to prevent flooding the server.","ref":"DockerEngineAPI.Model.RestartPolicy.html","title":"DockerEngineAPI.Model.RestartPolicy","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.RestartPolicy.html#decode/1","title":"DockerEngineAPI.Model.RestartPolicy.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.RestartPolicy.html#t:t/0","title":"DockerEngineAPI.Model.RestartPolicy.t/0","type":"type"},{"doc":"Runtime describes an [OCI compliant](https://github.com/opencontainers/runtime-spec) runtime.  The runtime is invoked by the daemon via the `containerd` daemon. OCI runtimes act as an interface to the Linux kernel namespaces, cgroups, and SELinux.","ref":"DockerEngineAPI.Model.Runtime.html","title":"DockerEngineAPI.Model.Runtime","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Runtime.html#decode/1","title":"DockerEngineAPI.Model.Runtime.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Runtime.html#t:t/0","title":"DockerEngineAPI.Model.Runtime.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Secret.html","title":"DockerEngineAPI.Model.Secret","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Secret.html#decode/1","title":"DockerEngineAPI.Model.Secret.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Secret.html#t:t/0","title":"DockerEngineAPI.Model.Secret.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SecretCreateRequest.html","title":"DockerEngineAPI.Model.SecretCreateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SecretCreateRequest.html#decode/1","title":"DockerEngineAPI.Model.SecretCreateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SecretCreateRequest.html#t:t/0","title":"DockerEngineAPI.Model.SecretCreateRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SecretSpec.html","title":"DockerEngineAPI.Model.SecretSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SecretSpec.html#decode/1","title":"DockerEngineAPI.Model.SecretSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SecretSpec.html#t:t/0","title":"DockerEngineAPI.Model.SecretSpec.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Service.html","title":"DockerEngineAPI.Model.Service","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Service.html#decode/1","title":"DockerEngineAPI.Model.Service.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Service.html#t:t/0","title":"DockerEngineAPI.Model.Service.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateRequest.html","title":"DockerEngineAPI.Model.ServiceCreateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateRequest.html#decode/1","title":"DockerEngineAPI.Model.ServiceCreateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateRequest.html#t:t/0","title":"DockerEngineAPI.Model.ServiceCreateRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateResponse.html","title":"DockerEngineAPI.Model.ServiceCreateResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateResponse.html#decode/1","title":"DockerEngineAPI.Model.ServiceCreateResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceCreateResponse.html#t:t/0","title":"DockerEngineAPI.Model.ServiceCreateResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpoint.html","title":"DockerEngineAPI.Model.ServiceEndpoint","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpoint.html#decode/1","title":"DockerEngineAPI.Model.ServiceEndpoint.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpoint.html#t:t/0","title":"DockerEngineAPI.Model.ServiceEndpoint.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner.html","title":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner.html#decode/1","title":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner.html#t:t/0","title":"DockerEngineAPI.Model.ServiceEndpointVirtualIpsInner.t/0","type":"type"},{"doc":"The status of the service when it is in one of ReplicatedJob or GlobalJob modes. Absent on Replicated and Global mode services. The JobIteration is an ObjectVersion, but unlike the Service's version, does not need to be sent with an update request.","ref":"DockerEngineAPI.Model.ServiceJobStatus.html","title":"DockerEngineAPI.Model.ServiceJobStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceJobStatus.html#decode/1","title":"DockerEngineAPI.Model.ServiceJobStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceJobStatus.html#t:t/0","title":"DockerEngineAPI.Model.ServiceJobStatus.t/0","type":"type"},{"doc":"The status of the service's tasks. Provided only when requested as part of a ServiceList operation.","ref":"DockerEngineAPI.Model.ServiceServiceStatus.html","title":"DockerEngineAPI.Model.ServiceServiceStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceServiceStatus.html#decode/1","title":"DockerEngineAPI.Model.ServiceServiceStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceServiceStatus.html#t:t/0","title":"DockerEngineAPI.Model.ServiceServiceStatus.t/0","type":"type"},{"doc":"User modifiable configuration for a service.","ref":"DockerEngineAPI.Model.ServiceSpec.html","title":"DockerEngineAPI.Model.ServiceSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpec.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpec.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpec.t/0","type":"type"},{"doc":"Scheduling mode for the service.","ref":"DockerEngineAPI.Model.ServiceSpecMode.html","title":"DockerEngineAPI.Model.ServiceSpecMode","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecMode.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpecMode.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecMode.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpecMode.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicated.html","title":"DockerEngineAPI.Model.ServiceSpecModeReplicated","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicated.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpecModeReplicated.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicated.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpecModeReplicated.t/0","type":"type"},{"doc":"The mode used for services with a finite number of tasks that run to a completed state.","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob.html","title":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpecModeReplicatedJob.t/0","type":"type"},{"doc":"Specification for the rollback strategy of the service.","ref":"DockerEngineAPI.Model.ServiceSpecRollbackConfig.html","title":"DockerEngineAPI.Model.ServiceSpecRollbackConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecRollbackConfig.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpecRollbackConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecRollbackConfig.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpecRollbackConfig.t/0","type":"type"},{"doc":"Specification for the update strategy of the service.","ref":"DockerEngineAPI.Model.ServiceSpecUpdateConfig.html","title":"DockerEngineAPI.Model.ServiceSpecUpdateConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecUpdateConfig.html#decode/1","title":"DockerEngineAPI.Model.ServiceSpecUpdateConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceSpecUpdateConfig.html#t:t/0","title":"DockerEngineAPI.Model.ServiceSpecUpdateConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateRequest.html","title":"DockerEngineAPI.Model.ServiceUpdateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateRequest.html#decode/1","title":"DockerEngineAPI.Model.ServiceUpdateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateRequest.html#t:t/0","title":"DockerEngineAPI.Model.ServiceUpdateRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateResponse.html","title":"DockerEngineAPI.Model.ServiceUpdateResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateResponse.html#decode/1","title":"DockerEngineAPI.Model.ServiceUpdateResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateResponse.html#t:t/0","title":"DockerEngineAPI.Model.ServiceUpdateResponse.t/0","type":"type"},{"doc":"The status of a service update.","ref":"DockerEngineAPI.Model.ServiceUpdateStatus.html","title":"DockerEngineAPI.Model.ServiceUpdateStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateStatus.html#decode/1","title":"DockerEngineAPI.Model.ServiceUpdateStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ServiceUpdateStatus.html#t:t/0","title":"DockerEngineAPI.Model.ServiceUpdateStatus.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Swarm.html","title":"DockerEngineAPI.Model.Swarm","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Swarm.html#decode/1","title":"DockerEngineAPI.Model.Swarm.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Swarm.html#t:t/0","title":"DockerEngineAPI.Model.Swarm.t/0","type":"type"},{"doc":"Represents generic information about swarm.","ref":"DockerEngineAPI.Model.SwarmInfo.html","title":"DockerEngineAPI.Model.SwarmInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmInfo.html#decode/1","title":"DockerEngineAPI.Model.SwarmInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmInfo.html#t:t/0","title":"DockerEngineAPI.Model.SwarmInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmInitRequest.html","title":"DockerEngineAPI.Model.SwarmInitRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmInitRequest.html#decode/1","title":"DockerEngineAPI.Model.SwarmInitRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmInitRequest.html#t:t/0","title":"DockerEngineAPI.Model.SwarmInitRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmJoinRequest.html","title":"DockerEngineAPI.Model.SwarmJoinRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmJoinRequest.html#decode/1","title":"DockerEngineAPI.Model.SwarmJoinRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmJoinRequest.html#t:t/0","title":"DockerEngineAPI.Model.SwarmJoinRequest.t/0","type":"type"},{"doc":"User modifiable swarm configuration.","ref":"DockerEngineAPI.Model.SwarmSpec.html","title":"DockerEngineAPI.Model.SwarmSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpec.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpec.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpec.t/0","type":"type"},{"doc":"CA configuration.","ref":"DockerEngineAPI.Model.SwarmSpecCaConfig.html","title":"DockerEngineAPI.Model.SwarmSpecCaConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecCaConfig.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecCaConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecCaConfig.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecCaConfig.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner.html","title":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecCaConfigExternalCasInner.t/0","type":"type"},{"doc":"Dispatcher configuration.","ref":"DockerEngineAPI.Model.SwarmSpecDispatcher.html","title":"DockerEngineAPI.Model.SwarmSpecDispatcher","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecDispatcher.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecDispatcher.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecDispatcher.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecDispatcher.t/0","type":"type"},{"doc":"Parameters related to encryption-at-rest.","ref":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig.html","title":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecEncryptionConfig.t/0","type":"type"},{"doc":"Orchestration configuration.","ref":"DockerEngineAPI.Model.SwarmSpecOrchestration.html","title":"DockerEngineAPI.Model.SwarmSpecOrchestration","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecOrchestration.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecOrchestration.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecOrchestration.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecOrchestration.t/0","type":"type"},{"doc":"Raft configuration.","ref":"DockerEngineAPI.Model.SwarmSpecRaft.html","title":"DockerEngineAPI.Model.SwarmSpecRaft","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecRaft.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecRaft.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecRaft.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecRaft.t/0","type":"type"},{"doc":"Defaults for creating tasks in this cluster.","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaults.html","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaults","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaults.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaults.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaults.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaults.t/0","type":"type"},{"doc":"The log driver to use for tasks created in the orchestrator if unspecified by a service.  Updating this value only affects new tasks. Existing tasks continue to use their previously configured log driver until recreated.","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver.html","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver.html#decode/1","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver.html#t:t/0","title":"DockerEngineAPI.Model.SwarmSpecTaskDefaultsLogDriver.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmUnlockRequest.html","title":"DockerEngineAPI.Model.SwarmUnlockRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmUnlockRequest.html#decode/1","title":"DockerEngineAPI.Model.SwarmUnlockRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SwarmUnlockRequest.html#t:t/0","title":"DockerEngineAPI.Model.SwarmUnlockRequest.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemAuthResponse.html","title":"DockerEngineAPI.Model.SystemAuthResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemAuthResponse.html#decode/1","title":"DockerEngineAPI.Model.SystemAuthResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemAuthResponse.html#t:t/0","title":"DockerEngineAPI.Model.SystemAuthResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemDataUsageResponse.html","title":"DockerEngineAPI.Model.SystemDataUsageResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemDataUsageResponse.html#decode/1","title":"DockerEngineAPI.Model.SystemDataUsageResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemDataUsageResponse.html#t:t/0","title":"DockerEngineAPI.Model.SystemDataUsageResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfo.html","title":"DockerEngineAPI.Model.SystemInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfo.html#decode/1","title":"DockerEngineAPI.Model.SystemInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfo.html#t:t/0","title":"DockerEngineAPI.Model.SystemInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner.html","title":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner.html#decode/1","title":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner.html#t:t/0","title":"DockerEngineAPI.Model.SystemInfoDefaultAddressPoolsInner.t/0","type":"type"},{"doc":"Response of Engine API: GET \"/version\"","ref":"DockerEngineAPI.Model.SystemVersion.html","title":"DockerEngineAPI.Model.SystemVersion","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersion.html#decode/1","title":"DockerEngineAPI.Model.SystemVersion.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersion.html#t:t/0","title":"DockerEngineAPI.Model.SystemVersion.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionComponentsInner.html","title":"DockerEngineAPI.Model.SystemVersionComponentsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionComponentsInner.html#decode/1","title":"DockerEngineAPI.Model.SystemVersionComponentsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionComponentsInner.html#t:t/0","title":"DockerEngineAPI.Model.SystemVersionComponentsInner.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionPlatform.html","title":"DockerEngineAPI.Model.SystemVersionPlatform","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionPlatform.html#decode/1","title":"DockerEngineAPI.Model.SystemVersionPlatform.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.SystemVersionPlatform.html#t:t/0","title":"DockerEngineAPI.Model.SystemVersionPlatform.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Task.html","title":"DockerEngineAPI.Model.Task","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Task.html#decode/1","title":"DockerEngineAPI.Model.Task.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Task.html#t:t/0","title":"DockerEngineAPI.Model.Task.t/0","type":"type"},{"doc":"User modifiable task configuration.","ref":"DockerEngineAPI.Model.TaskSpec.html","title":"DockerEngineAPI.Model.TaskSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpec.html#decode/1","title":"DockerEngineAPI.Model.TaskSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpec.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpec.t/0","type":"type"},{"doc":"Container spec for the service.       > **Note**: ContainerSpec, NetworkAttachmentSpec, and PluginSpec are > mutually exclusive. PluginSpec is only used when the Runtime field > is set to `plugin`. NetworkAttachmentSpec is used when the Runtime > field is set to `attachment`.","ref":"DockerEngineAPI.Model.TaskSpecContainerSpec.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpec.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpec.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpec.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInner.t/0","type":"type"},{"doc":"File represents a specific target that is backed by a file.       > **Note**: `Configs.File` and `Configs.Runtime` are mutually exclusive","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecConfigsInnerFile.t/0","type":"type"},{"doc":"Specification for DNS related configurations in resolver configuration file (`resolv.conf`).","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecDnsConfig.t/0","type":"type"},{"doc":"Security options for the container","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivileges.t/0","type":"type"},{"doc":"CredentialSpec for managed service account (Windows only)","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesCredentialSpec.t/0","type":"type"},{"doc":"SELinux labels of the container","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecPrivilegesSeLinuxContext.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInner.t/0","type":"type"},{"doc":"File represents a specific target that is backed by a file.","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile.html","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecContainerSpecSecretsInnerFile.t/0","type":"type"},{"doc":"Specifies the log driver to use for tasks created from this spec. If not present, the default one for the swarm will be used, finally falling back to the engine default if not specified.","ref":"DockerEngineAPI.Model.TaskSpecLogDriver.html","title":"DockerEngineAPI.Model.TaskSpecLogDriver","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecLogDriver.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecLogDriver.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecLogDriver.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecLogDriver.t/0","type":"type"},{"doc":"Read-only spec type for non-swarm containers attached to swarm overlay networks.       > **Note**: ContainerSpec, NetworkAttachmentSpec, and PluginSpec are > mutually exclusive. PluginSpec is only used when the Runtime field > is set to `plugin`. NetworkAttachmentSpec is used when the Runtime > field is set to `attachment`.","ref":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec.html","title":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecNetworkAttachmentSpec.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacement.html","title":"DockerEngineAPI.Model.TaskSpecPlacement","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacement.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecPlacement.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacement.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecPlacement.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner.html","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInner.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread.html","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecPlacementPreferencesInnerSpread.t/0","type":"type"},{"doc":"Plugin spec for the service.  *(Experimental release only.)*       > **Note**: ContainerSpec, NetworkAttachmentSpec, and PluginSpec are > mutually exclusive. PluginSpec is only used when the Runtime field > is set to `plugin`. NetworkAttachmentSpec is used when the Runtime > field is set to `attachment`.","ref":"DockerEngineAPI.Model.TaskSpecPluginSpec.html","title":"DockerEngineAPI.Model.TaskSpecPluginSpec","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPluginSpec.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecPluginSpec.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecPluginSpec.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecPluginSpec.t/0","type":"type"},{"doc":"Resource requirements which apply to each individual container created as part of the service.","ref":"DockerEngineAPI.Model.TaskSpecResources.html","title":"DockerEngineAPI.Model.TaskSpecResources","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecResources.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecResources.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecResources.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecResources.t/0","type":"type"},{"doc":"Specification for the restart policy which applies to containers created as part of this service.","ref":"DockerEngineAPI.Model.TaskSpecRestartPolicy.html","title":"DockerEngineAPI.Model.TaskSpecRestartPolicy","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecRestartPolicy.html#decode/1","title":"DockerEngineAPI.Model.TaskSpecRestartPolicy.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskSpecRestartPolicy.html#t:t/0","title":"DockerEngineAPI.Model.TaskSpecRestartPolicy.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskState.html","title":"DockerEngineAPI.Model.TaskState","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskState.html#decode/1","title":"DockerEngineAPI.Model.TaskState.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskState.html#t:t/0","title":"DockerEngineAPI.Model.TaskState.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatus.html","title":"DockerEngineAPI.Model.TaskStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatus.html#decode/1","title":"DockerEngineAPI.Model.TaskStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatus.html#t:t/0","title":"DockerEngineAPI.Model.TaskStatus.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatusContainerStatus.html","title":"DockerEngineAPI.Model.TaskStatusContainerStatus","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatusContainerStatus.html#decode/1","title":"DockerEngineAPI.Model.TaskStatusContainerStatus.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TaskStatusContainerStatus.html#t:t/0","title":"DockerEngineAPI.Model.TaskStatusContainerStatus.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.ThrottleDevice.html","title":"DockerEngineAPI.Model.ThrottleDevice","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.ThrottleDevice.html#decode/1","title":"DockerEngineAPI.Model.ThrottleDevice.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.ThrottleDevice.html#t:t/0","title":"DockerEngineAPI.Model.ThrottleDevice.t/0","type":"type"},{"doc":"Information about the issuer of leaf TLS certificates and the trusted root CA certificate.","ref":"DockerEngineAPI.Model.TlsInfo.html","title":"DockerEngineAPI.Model.TlsInfo","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.TlsInfo.html#decode/1","title":"DockerEngineAPI.Model.TlsInfo.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.TlsInfo.html#t:t/0","title":"DockerEngineAPI.Model.TlsInfo.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.UnlockKeyResponse.html","title":"DockerEngineAPI.Model.UnlockKeyResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.UnlockKeyResponse.html#decode/1","title":"DockerEngineAPI.Model.UnlockKeyResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.UnlockKeyResponse.html#t:t/0","title":"DockerEngineAPI.Model.UnlockKeyResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.Volume.html","title":"DockerEngineAPI.Model.Volume","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.Volume.html#decode/1","title":"DockerEngineAPI.Model.Volume.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.Volume.html#t:t/0","title":"DockerEngineAPI.Model.Volume.t/0","type":"type"},{"doc":"Volume configuration","ref":"DockerEngineAPI.Model.VolumeCreateOptions.html","title":"DockerEngineAPI.Model.VolumeCreateOptions","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeCreateOptions.html#decode/1","title":"DockerEngineAPI.Model.VolumeCreateOptions.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeCreateOptions.html#t:t/0","title":"DockerEngineAPI.Model.VolumeCreateOptions.t/0","type":"type"},{"doc":"Volume list response","ref":"DockerEngineAPI.Model.VolumeListResponse.html","title":"DockerEngineAPI.Model.VolumeListResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeListResponse.html#decode/1","title":"DockerEngineAPI.Model.VolumeListResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeListResponse.html#t:t/0","title":"DockerEngineAPI.Model.VolumeListResponse.t/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.Model.VolumePruneResponse.html","title":"DockerEngineAPI.Model.VolumePruneResponse","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.VolumePruneResponse.html#decode/1","title":"DockerEngineAPI.Model.VolumePruneResponse.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.VolumePruneResponse.html#t:t/0","title":"DockerEngineAPI.Model.VolumePruneResponse.t/0","type":"type"},{"doc":"Volume configuration","ref":"DockerEngineAPI.Model.VolumeUpdateRequest.html","title":"DockerEngineAPI.Model.VolumeUpdateRequest","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeUpdateRequest.html#decode/1","title":"DockerEngineAPI.Model.VolumeUpdateRequest.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeUpdateRequest.html#t:t/0","title":"DockerEngineAPI.Model.VolumeUpdateRequest.t/0","type":"type"},{"doc":"Usage details about the volume. This information is used by the `GET /system/df` endpoint, and omitted in other endpoints.","ref":"DockerEngineAPI.Model.VolumeUsageData.html","title":"DockerEngineAPI.Model.VolumeUsageData","type":"module"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeUsageData.html#decode/1","title":"DockerEngineAPI.Model.VolumeUsageData.decode/1","type":"function"},{"doc":"","ref":"DockerEngineAPI.Model.VolumeUsageData.html#t:t/0","title":"DockerEngineAPI.Model.VolumeUsageData.t/0","type":"type"},{"doc":"Helper functions for building Tesla requests","ref":"DockerEngineAPI.RequestBuilder.html","title":"DockerEngineAPI.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request.","ref":"DockerEngineAPI.RequestBuilder.html#add_optional_params/3","title":"DockerEngineAPI.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters","ref":"DockerEngineAPI.RequestBuilder.html#add_optional_params/3-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Map","ref":"DockerEngineAPI.RequestBuilder.html#add_optional_params/3-returns","title":"Returns - DockerEngineAPI.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add non-optional parameters to the request.","ref":"DockerEngineAPI.RequestBuilder.html#add_param/4","title":"DockerEngineAPI.RequestBuilder.add_param/4","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter","ref":"DockerEngineAPI.RequestBuilder.html#add_param/4-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.add_param/4","type":"function"},{"doc":"Map","ref":"DockerEngineAPI.RequestBuilder.html#add_param/4-returns","title":"Returns - DockerEngineAPI.RequestBuilder.add_param/4","type":"function"},{"doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.","ref":"DockerEngineAPI.RequestBuilder.html#ensure_body/1","title":"DockerEngineAPI.RequestBuilder.ensure_body/1","type":"function"},{"doc":"- `request` (Map) - Collected request options","ref":"DockerEngineAPI.RequestBuilder.html#ensure_body/1-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Map","ref":"DockerEngineAPI.RequestBuilder.html#ensure_body/1-returns","title":"Returns - DockerEngineAPI.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.","ref":"DockerEngineAPI.RequestBuilder.html#evaluate_response/2","title":"DockerEngineAPI.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.","ref":"DockerEngineAPI.RequestBuilder.html#evaluate_response/2-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `{:ok, struct}` or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","ref":"DockerEngineAPI.RequestBuilder.html#evaluate_response/2-returns","title":"Returns - DockerEngineAPI.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.","ref":"DockerEngineAPI.RequestBuilder.html#method/2","title":"DockerEngineAPI.RequestBuilder.method/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method","ref":"DockerEngineAPI.RequestBuilder.html#method/2-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.method/2","type":"function"},{"doc":"Map","ref":"DockerEngineAPI.RequestBuilder.html#method/2-returns","title":"Returns - DockerEngineAPI.RequestBuilder.method/2","type":"function"},{"doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.","ref":"DockerEngineAPI.RequestBuilder.html#url/2","title":"DockerEngineAPI.RequestBuilder.url/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL","ref":"DockerEngineAPI.RequestBuilder.html#url/2-parameters","title":"Parameters - DockerEngineAPI.RequestBuilder.url/2","type":"function"},{"doc":"Map","ref":"DockerEngineAPI.RequestBuilder.html#url/2-returns","title":"Returns - DockerEngineAPI.RequestBuilder.url/2","type":"function"},{"doc":"","ref":"DockerEngineAPI.RequestBuilder.html#t:response_mapping/0","title":"DockerEngineAPI.RequestBuilder.response_mapping/0","type":"type"},{"doc":"","ref":"DockerEngineAPI.RequestBuilder.html#t:status_code/0","title":"DockerEngineAPI.RequestBuilder.status_code/0","type":"type"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}